#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xb05b3b61, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x22831f89, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x8f9057a8, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xfd45b918, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x805cf437, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xaa0fb48f, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xe7b37bdf, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x2a23ea11, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x1625c247, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xacfae7eb, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x4c4c9f1e, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xe6b1e4a4, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x1140a4c3, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xdd087165, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x36baf8b0, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x3530fc26, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x468c0e2d, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x6913f0bb, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x9ff3f634, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xac5da10f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xa1834ffd, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xeb795f17, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xd50c2884, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x915ba10f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x85c234e4, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x60bcc48c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xd60da157, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x25bf163a, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xb10b5202, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x83f6cf1a, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x5bd6b472, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdfa45e35, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0x82ce50f, "_dev_warn" },
	{ 0xc2a55c42, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xbee519e4, "kthread_create_worker" },
	{ 0xf26994e8, "_dev_err" },
	{ 0x87094057, "_dev_info" },
	{ 0x5002c792, "sched_set_fifo" },
	{ 0xa8d28a75, "crypto_register_aead" },
	{ 0xc9000fda, "crypto_unregister_aead" },
	{ 0x18616059, "crypto_register_ahash" },
	{ 0xb2c11d66, "crypto_unregister_ahash" },
	{ 0x7ff8dea5, "crypto_register_akcipher" },
	{ 0x1b059f59, "crypto_unregister_akcipher" },
	{ 0xc863eb55, "crypto_register_kpp" },
	{ 0x8d9b7af8, "crypto_unregister_kpp" },
	{ 0xe502a1e1, "crypto_register_skcipher" },
	{ 0x2653c131, "crypto_unregister_skcipher" },
	{ 0xe3b2b681, "crypto_enqueue_request" },
	{ 0x29bce79a, "crypto_dequeue_request" },
	{ 0x33d94b84, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd4783b35, "kthread_destroy_worker" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8804DBF21A364B6BE271C7E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
