#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x169554fc, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0x0dc55c77, "_gpl");
SYMBOL_CRC(ahci_ops, 0xf10e4459, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xdc2b94c6, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x5eac4325, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x220489a3, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x5360238e, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xd731a90b, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xdf5993a0, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xe310a806, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0xa80bf40b, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x96301991, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x5088cb9b, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x9226452d, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x9fc5abb4, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x96d03660, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xf11a9d70, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xb249129c, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xd22a5e22, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xc6ec9443, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x9dfdb257, "_gpl");
SYMBOL_CRC(ahci_print_info, 0xfd2dfca8, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x1a6bd1c5, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x5e5c9616, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ea3ddf3, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x6b27b8db, "ata_std_qc_defer" },
	{ 0x4a073b58, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0x82ce50f, "_dev_warn" },
	{ 0x2ebce905, "__dynamic_dev_dbg" },
	{ 0xd33b22ad, "ata_port_classify" },
	{ 0x70f6933f, "ata_qc_complete_multiple" },
	{ 0xa9288d6e, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcfcc3798, "sata_pmp_error_handler" },
	{ 0x1753888e, "ata_host_start" },
	{ 0x43328a40, "devm_request_threaded_irq" },
	{ 0xa61c354e, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x435eec88, "ata_host_register" },
	{ 0x5a046163, "ata_host_activate" },
	{ 0x92b1f366, "ata_dummy_port_ops" },
	{ 0xbca118a0, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc2a55c42, "devm_kmalloc" },
	{ 0x8b18e144, "dmam_alloc_attrs" },
	{ 0x46b452a3, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3eb793, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xcde6e6e7, "sata_link_hardreset" },
	{ 0xed60b639, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf72fa5b8, "sata_lpm_ignore_phy_events" },
	{ 0x6319fb2b, "ata_ehi_clear_desc" },
	{ 0xc4a366df, "ata_ehi_push_desc" },
	{ 0xfd28392c, "sata_async_notification" },
	{ 0xf5144406, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9fb5e955, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x15ad61cd, "param_ops_int" },
	{ 0x8f7fc6c5, "param_ops_bool" },
	{ 0x249d4c3f, "sata_pmp_port_ops" },
	{ 0xa03c9214, "dev_attr_sw_activity" },
	{ 0xb979d289, "dev_attr_unload_heads" },
	{ 0x638d581f, "dev_attr_ncq_prio_supported" },
	{ 0xe683dea8, "dev_attr_ncq_prio_enable" },
	{ 0xaa4c47ca, "dev_attr_link_power_management_policy" },
	{ 0x3ea0197b, "dev_attr_em_message_type" },
	{ 0xcac114cd, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xef3d3d4b, "__pm_runtime_resume" },
	{ 0xf828c430, "__pm_runtime_idle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d7d02fb, "ata_link_next" },
	{ 0xcc879bce, "ata_wait_register" },
	{ 0x1c95f900, "ata_dev_set_feature" },
	{ 0x87094057, "_dev_info" },
	{ 0x7a633e11, "ata_msleep" },
	{ 0x5273d94d, "sata_link_scr_lpm" },
	{ 0xf26994e8, "_dev_err" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "9A7C9ED3F9F2BE88064C951");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
