#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fpga_image_info_alloc, "_gpl", "");
KSYMTAB_FUNC(fpga_image_info_free, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_load, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(of_fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_put, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_lock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unlock, "_gpl", "");
KSYMTAB_FUNC(__fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(__fpga_mgr_register, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unregister, "_gpl", "");
KSYMTAB_FUNC(__devm_fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(__devm_fpga_mgr_register, "_gpl", "");

SYMBOL_CRC(fpga_image_info_alloc, 0x8514bde0, "_gpl");
SYMBOL_CRC(fpga_image_info_free, 0x83984116, "_gpl");
SYMBOL_CRC(fpga_mgr_load, 0x80820bbe, "_gpl");
SYMBOL_CRC(fpga_mgr_get, 0x229af99c, "_gpl");
SYMBOL_CRC(of_fpga_mgr_get, 0xa21a9302, "_gpl");
SYMBOL_CRC(fpga_mgr_put, 0xfeacf274, "_gpl");
SYMBOL_CRC(fpga_mgr_lock, 0x39e006e2, "_gpl");
SYMBOL_CRC(fpga_mgr_unlock, 0xa8c60dcf, "_gpl");
SYMBOL_CRC(__fpga_mgr_register_full, 0x4623307e, "_gpl");
SYMBOL_CRC(__fpga_mgr_register, 0x96c9b6bc, "_gpl");
SYMBOL_CRC(fpga_mgr_unregister, 0x10eb3798, "_gpl");
SYMBOL_CRC(__devm_fpga_mgr_register_full, 0x26f10942, "_gpl");
SYMBOL_CRC(__devm_fpga_mgr_register, 0xcc71694f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe419c8fc, "get_device" },
	{ 0xc2a55c42, "devm_kmalloc" },
	{ 0x1c8bbb56, "put_device" },
	{ 0x3c3eb793, "devm_kfree" },
	{ 0xf0a572e8, "sg_miter_start" },
	{ 0xd84f7f7b, "sg_miter_next" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b932044, "sg_miter_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf26994e8, "_dev_err" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb58f0669, "device_match_of_node" },
	{ 0x7ffbc757, "class_find_device" },
	{ 0x8521d398, "try_module_get" },
	{ 0xd12e2547, "module_put" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x87094057, "_dev_info" },
	{ 0x4ed202ca, "device_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x7ee74f08, "class_register" },
	{ 0xbf24cfb6, "class_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x754d539c, "strlen" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb6397aad, "dev_set_name" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfc2185c4, "device_register" },
	{ 0x4cdd432c, "__devres_alloc_node" },
	{ 0x7f5dd341, "devres_add" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xc14c4094, "sg_miter_skip" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2a6fcb2b, "vmalloc_to_page" },
	{ 0xaab6fc0b, "sg_alloc_table_from_pages_segment" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe45b1577, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BFF17D5F207ADE6D0FB5855");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
