#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_do_setdasa, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_DATA(i3c_bus_type, "_gpl", "");
KSYMTAB_FUNC(i3c_for_each_bus_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_register_notifier, "_gpl", "");
KSYMTAB_FUNC(i3c_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enable_hotjoin, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disable_hotjoin, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0x0ccbd618, "_gpl");
SYMBOL_CRC(i3c_device_do_setdasa, 0x84a1834a, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x46cc5f27, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x06d218c4, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0xe3f14b30, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0xaa79f179, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xbf9796d6, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0x7c5638b0, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0xa6680c84, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0x8cdf8763, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0x4f757343, "_gpl");
SYMBOL_CRC(i3c_bus_type, 0x4697c4bf, "_gpl");
SYMBOL_CRC(i3c_for_each_bus_locked, 0xaeed9d8e, "_gpl");
SYMBOL_CRC(i3c_register_notifier, 0xaa91f3f5, "_gpl");
SYMBOL_CRC(i3c_unregister_notifier, 0x2305c897, "_gpl");
SYMBOL_CRC(i3c_master_enable_hotjoin, 0x3d760a14, "_gpl");
SYMBOL_CRC(i3c_master_disable_hotjoin, 0x00f66365, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0x066bff45, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0xd929faa4, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x55c4bc0e, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0x8387a9ed, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0xe378859f, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0xd9c2c531, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0x5931c85d, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0x5c69de45, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0x7053bff8, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0xd9fa0025, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0x9f074beb, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0xedf51935, "_gpl");
SYMBOL_CRC(i3c_master_register, 0x627984fe, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0x6ca40730, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0x11595066, "bus_register_notifier" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5243bc9d, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xb7b9948f, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf26994e8, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x5b034cda, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x248c9506, "driver_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7f16fa0a, "i2c_new_client_device" },
	{ 0xb0327bec, "i2c_bus_type" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfc2185c4, "device_register" },
	{ 0x7af165ab, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3862470c, "pm_runtime_no_callbacks" },
	{ 0x668b19a1, "down_read" },
	{ 0xdac767d6, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0x2fb6e7ad, "__pm_runtime_disable" },
	{ 0x53b954a2, "up_read" },
	{ 0x8aaa65c6, "driver_register" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0x753d5f09, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf490f72d, "bus_unregister_notifier" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb6397aad, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x68215d7c, "i2c_client_type" },
	{ 0x4ed202ca, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd27d5065, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2ebce905, "__dynamic_dev_dbg" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1c8bbb56, "put_device" },
	{ 0x8c94cdb7, "pm_runtime_enable" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "239D8CDAC402D7B0DE0CCBC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
