#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0xfba0686f, "");
SYMBOL_CRC(r5c_journal_mode_set, 0xaed45523, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9084b044, "clear_page_erms" },
	{ 0x59e26fb7, "async_raid6_2data_recov" },
	{ 0x732fb352, "bio_add_page" },
	{ 0x929d22a5, "__SCK__tp_func_block_unplug" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a24294f, "md_update_sb" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xeb3b4bb, "sysfs_create_group" },
	{ 0x2b9074df, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0xb50e7372, "md_flush_request" },
	{ 0xadd5426d, "bio_init" },
	{ 0x8bf121c4, "md_register_thread" },
	{ 0xfb578fc5, "memset" },
	{ 0x1b1ace4b, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x58282fae, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8a00449d, "md_account_bio" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7c4d8b1a, "__kmem_cache_create_args" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb2753fc2, "md_write_inc" },
	{ 0x5616ce51, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x492cc12c, "unregister_md_personality" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xcf610375, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8f7fc6c5, "param_ops_bool" },
	{ 0x13c9f5db, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x48c158b6, "async_syndrome_val" },
	{ 0xe091c977, "list_sort" },
	{ 0xa91660da, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec0d1f0c, "seq_printf" },
	{ 0x85883b13, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x3b45e2e8, "md_check_recovery" },
	{ 0x2c8b9fe2, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xcf9c8622, "alloc_pages_noprof" },
	{ 0x4a660e99, "blkdev_issue_flush" },
	{ 0xc2c85432, "mddev_suspend" },
	{ 0x2531c125, "queue_limits_commit_update" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9734bf24, "badblocks_check" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x36370808, "md_init_stacking_limits" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4d382a3f, "queue_limits_set" },
	{ 0x50844e39, "rdev_set_badblocks" },
	{ 0x5a75d19c, "bio_alloc_bioset" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x5b96502d, "async_raid6_datap_recov" },
	{ 0x39e20b88, "submit_bio_wait" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xaab744b7, "__cpuhp_remove_state" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x83a771ba, "kmem_cache_destroy" },
	{ 0x60024242, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x156d9845, "blkdev_issue_discard" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0xb0f27012, "set_disk_ro" },
	{ 0xcda3661c, "register_md_personality" },
	{ 0xe0b622f, "shrinker_alloc" },
	{ 0xce71584a, "__bio_add_page" },
	{ 0xd790484b, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xee466a51, "md_find_rdev_rcu" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5f2317dc, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3e3efd14, "queue_limits_stack_bdev" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5e0f2f7e, "md_error" },
	{ 0xf507b176, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x2f635a71, "md_finish_reshape" },
	{ 0xcda162e4, "pcpu_hot" },
	{ 0xe01ee2ec, "async_gen_syndrome" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x652e2bbb, "md_unregister_thread" },
	{ 0x1f103b54, "sync_page_io" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xdc010bac, "md_free_cloned_bio" },
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc4b30871, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x801aa624, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xda3c918e, "shrinker_free" },
	{ 0x359e594c, "md_wakeup_thread" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x18245177, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe51c1cd1, "md_set_array_sectors" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x617070ad, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xde6e6a87, "rdev_clear_badblocks" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x2ff4860a, "async_tx_quiesce" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xafb4b717, "md_write_start" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xf73f878c, "shrinker_register" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x90c2148a, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x58af20f1, "async_xor" },
	{ 0xa3782053, "__free_pages" },
	{ 0x80165fbf, "async_xor_offs" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x574a728e, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2bbc35f9, "submit_bio" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc3b0d01, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xa38f2fa0, "kthread_unpark" },
	{ 0xf19228bd, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xcb06658f, "md_done_sync" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x77d456b5, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x73a9e706, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x45549268, "md_wait_for_blocked_rdev" },
	{ 0xc7029fd3, "__SCK__tp_func_block_bio_remap" },
	{ 0xb66eb73f, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x93445bdb, "async_memcpy" },
	{ 0x643e5aee, "mddev_update_io_opt" },
	{ 0xee069fbd, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x927a0657, "mddev_stack_rdev_limits" },
	{ 0x7769ef67, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x7581785, "mddev_unlock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x51fd6842, "__tracepoint_block_unplug" },
	{ 0x8b17b88b, "bio_chain" },
	{ 0xcca1b383, "__blk_trace_note_message" },
	{ 0x440115fb, "blkdev_issue_zeroout" },
	{ 0xe5e55228, "__cpuhp_state_add_instance" },
	{ 0x50b6cff5, "async_trigger_callback" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "async_raid6_recov,md-mod,raid6_pq,libcrc32c,async_pq,async_xor,async_tx,async_memcpy");


MODULE_INFO(srcversion, "3C3169F45CD097A3CF4BA94");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
