#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipu_bridge_parse_ssdb, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_instantiate_vcm, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_init, "_gpl", "INTEL_IPU_BRIDGE");

SYMBOL_CRC(ipu_bridge_parse_ssdb, 0x664727c9, "_gpl");
SYMBOL_CRC(ipu_bridge_instantiate_vcm, 0x78d3dc88, "_gpl");
SYMBOL_CRC(ipu_bridge_init, 0x6281870b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf467a56b, "is_acpi_device_node" },
	{ 0xef3d3d4b, "__pm_runtime_resume" },
	{ 0x6fb844a1, "i2c_acpi_new_device_by_fwnode" },
	{ 0xabb90dce, "device_link_add" },
	{ 0x87094057, "_dev_info" },
	{ 0xf828c430, "__pm_runtime_idle" },
	{ 0x1c8bbb56, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xf26994e8, "_dev_err" },
	{ 0xb59988a4, "acpi_dev_get_first_match_dev" },
	{ 0x1715303e, "acpi_dev_get_next_consumer_dev" },
	{ 0x2f3a786e, "acpi_dev_get_next_match_dev" },
	{ 0x2ab08c7, "platform_bus_type" },
	{ 0xa5d24db6, "bus_find_device" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd8ab9f8e, "device_find_child_by_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8fc12788, "software_node_unregister_node_group" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0x82ce50f, "_dev_warn" },
	{ 0xea863fdf, "__dev_fwnode" },
	{ 0x55d48756, "fwnode_find_reference" },
	{ 0x99a6f4a6, "i2c_find_device_by_fwnode" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0xe419c8fc, "get_device" },
	{ 0xceab0311, "strchrnul" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xace7e13f, "fwnode_graph_get_next_endpoint" },
	{ 0xb48f0638, "software_node_register" },
	{ 0xd744bcd1, "acpi_device_hid" },
	{ 0x7a9e4c23, "software_node_register_node_group" },
	{ 0x1ae1513f, "software_node_fwnode" },
	{ 0x154c0939, "set_secondary_fwnode" },
	{ 0xcbe3ee2, "software_node_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DD00931DA7B32CC86328B9D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
