#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x7a450bfe, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x336d20c3, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x3eaa4aa6, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0xba5ec92c, "");
SYMBOL_CRC(mpt_halt_firmware, 0xae67d471, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0xa65b5616, "");
SYMBOL_CRC(mpt_attach, 0x8953c247, "");
SYMBOL_CRC(mpt_detach, 0xb2f3c09b, "");
SYMBOL_CRC(mpt_resume, 0xb61aada7, "");
SYMBOL_CRC(mpt_suspend, 0xff3bb448, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x867e10ba, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0xc00803fa, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0xcea04493, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0xd697208f, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x3fa4d0d2, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x015827e4, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x1e548321, "");
SYMBOL_CRC(mpt_free_msg_frame, 0xbafdf8e7, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x2adb445c, "");
SYMBOL_CRC(mpt_verify_adapter, 0x07ae2e6b, "");
SYMBOL_CRC(mpt_GetIocState, 0x101385a6, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x4e8a0e9f, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x7caac4fc, "");
SYMBOL_CRC(mpt_config, 0xeaabc2d4, "");
SYMBOL_CRC(mpt_findImVolumes, 0x0624c7c8, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0xe37b5b21, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x9634bfed, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x5cc71567, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0xd72c9c07, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0xec0d1f0c, "seq_printf" },
	{ 0x9a6c42c7, "pci_stop_and_remove_bus_device_locked" },
	{ 0xf28a09f6, "dma_alloc_attrs" },
	{ 0x979e5deb, "dma_free_attrs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbc4730a7, "pci_select_bars" },
	{ 0xe6254fff, "pci_enable_device_mem" },
	{ 0x81bdfd42, "pci_request_selected_regions" },
	{ 0x16d27368, "dma_get_required_mask" },
	{ 0x37b36d5a, "dma_set_mask" },
	{ 0xe153184f, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x31b3b130, "pci_release_selected_regions" },
	{ 0x679339ed, "pci_disable_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x26deb8aa, "remove_proc_entry" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf1e046cc, "panic" },
	{ 0xdc199f15, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xe6d8b7d8, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5466a455, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf0b89f1b, "pci_disable_msi" },
	{ 0x6a892e47, "pci_save_state" },
	{ 0xa3cd23d6, "pci_set_power_state" },
	{ 0xfbf54501, "proc_mkdir" },
	{ 0x6aff88b7, "proc_create_single_data" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9ef0e707, "pci_read_config_word" },
	{ 0x7147934b, "pci_write_config_word" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x879b4edc, "pci_enable_device" },
	{ 0x126999e8, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe192eae0, "pci_set_master" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x444d7b76, "kthread_create_on_node" },
	{ 0xd00e32b8, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe7af37bf, "pci_read_config_byte" },
	{ 0x2c008362, "pci_write_config_byte" },
	{ 0xc13c03ed, "pci_get_slot" },
	{ 0xbe9d5e8c, "pci_dev_put" },
	{ 0x5c404a6b, "pci_enable_wake" },
	{ 0x572bede7, "pci_restore_state" },
	{ 0x15ad61cd, "param_ops_int" },
	{ 0x8c0cd63f, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A9A75BA26A33B1F6BDD06DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
