#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_free_stid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_stid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0xda262f1d, "");
SYMBOL_CRC(t3_l2t_send_event, 0xd6d8727a, "");
SYMBOL_CRC(t3_l2e_free, 0x40054df1, "");
SYMBOL_CRC(t3_l2t_get, 0x4344a3d7, "");
SYMBOL_CRC(cxgb3_register_client, 0x3979222a, "");
SYMBOL_CRC(cxgb3_unregister_client, 0x6c0607f1, "");
SYMBOL_CRC(cxgb3_free_atid, 0x36289098, "");
SYMBOL_CRC(cxgb3_free_stid, 0x8dc70f7b, "");
SYMBOL_CRC(cxgb3_insert_tid, 0x7c93f90b, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0xd8f477b0, "");
SYMBOL_CRC(cxgb3_remove_tid, 0x71c89ec7, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0x784b5501, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0xa46935ac, "");
SYMBOL_CRC(dev2t3cdev, 0xcd2f7e59, "");
SYMBOL_CRC(t3_register_cpl_handler, 0xcc243744, "");
SYMBOL_CRC(cxgb3_ofld_send, 0x181eb0f7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82ce50f, "_dev_warn" },
	{ 0xe192eae0, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x939ff840, "netif_rx" },
	{ 0x3f55ae75, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe153184f, "dma_set_coherent_mask" },
	{ 0x5616ce51, "pv_ops" },
	{ 0x5381b399, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x29a0a798, "neigh_destroy" },
	{ 0x979e5deb, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x21fa2785, "pci_release_regions" },
	{ 0xf32fc010, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc99957cc, "netdev_master_upper_dev_get_rcu" },
	{ 0xa91660da, "__folio_put" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3238a6b5, "netif_carrier_off" },
	{ 0xc2aa7b37, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e987b57, "netif_carrier_on" },
	{ 0xdf9b2bdd, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcf9c8622, "alloc_pages_noprof" },
	{ 0x679339ed, "pci_disable_device" },
	{ 0x37b36d5a, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5325b6a6, "vlan_dev_vlan_id" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xd83e5953, "napi_schedule_prep" },
	{ 0xcecf0238, "napi_disable" },
	{ 0x1b3f4367, "dev_kfree_skb_any_reason" },
	{ 0x15ad61cd, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xc870c7ac, "__kfree_skb" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0x5b7dfe46, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7429ba6a, "alloc_etherdev_mqs" },
	{ 0x6a892e47, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x800e601, "pcie_capability_read_word" },
	{ 0x44f794da, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe323a91e, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbd745870, "skb_copy_bits" },
	{ 0x6f020579, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x879b4edc, "pci_enable_device" },
	{ 0xf29e4fc8, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xea182e49, "netdev_update_features" },
	{ 0x594b88c, "consume_skb" },
	{ 0xd433ee03, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x935bb89b, "unregister_netdev" },
	{ 0x77f34a48, "napi_get_frags" },
	{ 0x71ee784f, "dma_unmap_page_attrs" },
	{ 0xe45b1577, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xaed0ecf4, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xf0b89f1b, "pci_disable_msi" },
	{ 0x1a4a8726, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xcda162e4, "pcpu_hot" },
	{ 0xb1795104, "eth_validate_addr" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2ebce905, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9a9f68b8, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x46b452a3, "dev_driver_string" },
	{ 0xc3d447f2, "dev_addr_mod" },
	{ 0x857832a8, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc610db3d, "dma_map_page_attrs" },
	{ 0x80965ca9, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0xefc1f0ac, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x4260ed3a, "pci_enable_msix_range" },
	{ 0xfb1419b8, "pci_write_vpd_any" },
	{ 0xa916b694, "strnlen" },
	{ 0xdce5e300, "__alloc_skb" },
	{ 0x90c2148a, "const_pcpu_hot" },
	{ 0xa3782053, "__free_pages" },
	{ 0x87094057, "_dev_info" },
	{ 0xd492697a, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5d19545d, "pci_find_capability" },
	{ 0x798d8d65, "_dev_alert" },
	{ 0xaf13f696, "__dma_sync_single_for_cpu" },
	{ 0x126999e8, "pci_enable_msi" },
	{ 0xf26994e8, "_dev_err" },
	{ 0xb2a0d9db, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa9c43592, "netif_set_real_num_tx_queues" },
	{ 0x3a88aadb, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x92c246a7, "netif_set_real_num_rx_queues" },
	{ 0x17a36967, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x22c86b0b, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf28a09f6, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x9ef0e707, "pci_read_config_word" },
	{ 0xf0ca4fca, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5f422495, "netif_receive_skb" },
	{ 0x9379370f, "register_netdev" },
	{ 0x680c177, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xeb3b4bb, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2b9074df, "__put_devmap_managed_folio_refs" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xe3bfacb9, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x940f5247, "netif_tx_stop_all_queues" },
	{ 0x572bede7, "pci_restore_state" },
	{ 0xf4c0860b, "netif_tx_wake_queue" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B9A2CE53CD865D3CECB44BB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
