#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xe0686a5f, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x0ab86414, "");
SYMBOL_CRC(team_options_register, 0x8b19fd02, "");
SYMBOL_CRC(team_options_unregister, 0x32322e7d, "");
SYMBOL_CRC(team_option_inst_set_change, 0x8dd89c15, "");
SYMBOL_CRC(team_options_change_check, 0x82b3ae51, "");
SYMBOL_CRC(team_mode_register, 0xc73b2187, "");
SYMBOL_CRC(team_mode_unregister, 0x1f9023a6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xad230b8a, "netdev_has_upper_dev" },
	{ 0x50a3cf21, "netdev_change_features" },
	{ 0xb9efd77c, "netdev_lower_state_changed" },
	{ 0x810932e6, "netdev_master_upper_dev_link" },
	{ 0xf58ed311, "vlan_vids_add_by_dev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x42d1be4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x675c38af, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x5616ce51, "pv_ops" },
	{ 0x37d5c8b1, "vlan_vids_del_by_dev" },
	{ 0xf1f7a438, "__netpoll_setup" },
	{ 0x9b60f0e0, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x23c5dbce, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc9f3d7dc, "call_netdevice_notifiers" },
	{ 0x3ff577b4, "vlan_vid_del" },
	{ 0xe57c6eca, "dev_set_allmulti" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3238a6b5, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20e7895f, "skb_clone" },
	{ 0x3e987b57, "netif_carrier_on" },
	{ 0x4552da9f, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb3b0c1ca, "netdev_rx_handler_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8325f0fc, "genl_unregister_family" },
	{ 0xf05a5ca2, "dev_disable_lro" },
	{ 0x754d539c, "strlen" },
	{ 0x1b3f4367, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x4e283925, "dev_mc_unsync" },
	{ 0xf4cea1bc, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0x5b7dfe46, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x902fb814, "dev_mc_sync_multiple" },
	{ 0xccfc969e, "register_netdevice" },
	{ 0x1d20db10, "dev_set_mtu" },
	{ 0x8521d398, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4ce78963, "__nlmsg_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x594b88c, "consume_skb" },
	{ 0x439a2811, "__netpoll_free" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9a24a779, "netpoll_send_skb" },
	{ 0x713950b3, "rtnl_link_register" },
	{ 0xd1607261, "genlmsg_put" },
	{ 0x8b9cea2, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e8322b, "dev_set_promiscuity" },
	{ 0xcda162e4, "pcpu_hot" },
	{ 0x7a8f5516, "netdev_warn" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf3c7ce7a, "dev_uc_unsync" },
	{ 0xd573de29, "ether_setup" },
	{ 0xcf51e9c6, "netlink_broadcast_filtered" },
	{ 0xbc75196f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc3d447f2, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x972821b3, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x482259a8, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xdce5e300, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd12e2547, "module_put" },
	{ 0x605e8f10, "dev_uc_flush" },
	{ 0xd78b214d, "dev_open" },
	{ 0x76a650af, "rtnl_link_unregister" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd584a1a0, "dev_mc_flush" },
	{ 0x3a88aadb, "sk_skb_reason_drop" },
	{ 0x96a3e87f, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x7eacc4ab, "dev_get_by_index" },
	{ 0xe89316fa, "dev_close" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x40d82055, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe3bfacb9, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7d57a50a, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xc1b6125b, "dev_set_mac_address" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C48C6FA34B0C1AE91864D27");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
