#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x3fec4997, "");
SYMBOL_CRC(ath10k_info, 0x76769ba8, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x3623a2f6, "");
SYMBOL_CRC(ath10k_err, 0x20944e38, "");
SYMBOL_CRC(ath10k_warn, 0x105701f7, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x96ebf069, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x3e36b77f, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x3563dacc, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x8af26237, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0xa1963ddf, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x542752e3, "");
SYMBOL_CRC(ath10k_core_start, 0x852d3ba9, "");
SYMBOL_CRC(ath10k_core_stop, 0xaaa3659f, "");
SYMBOL_CRC(ath10k_core_register, 0xf34e7a07, "");
SYMBOL_CRC(ath10k_core_unregister, 0x2786c64c, "");
SYMBOL_CRC(ath10k_core_create, 0xbd2f6e59, "");
SYMBOL_CRC(ath10k_core_destroy, 0x7739da5a, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0xe8879ad0, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0xdac0a52e, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x7955d44e, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0xe95efe62, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x4a8e59c0, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x05e4e6c5, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0xfc26339c, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x38b234ec, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x62ab5e5c, "");
SYMBOL_CRC(ath10k_bmi_start, 0x64bfd1e7, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0xfb7bfacc, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x122fbf02, "");
SYMBOL_CRC(ath10k_coredump_new, 0x52fd0ab6, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0xa7c9192e, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x631ba2a0, "");
SYMBOL_CRC(ath10k_ce_send, 0x7fddca66, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0xeee5f305, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0x07e38f51, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x9ff51af9, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0x04f518ac, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x310dc795, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x86363000, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0xbded69c0, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0xfd9c92de, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0x8333b38d, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0x0375233d, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x9cbf1cc7, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x62c311a9, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0xa333ada6, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x11a5e301, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0xfdb4bfc7, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x24fe0c4b, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0xd8f61b03, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x0c5d8d1c, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0xce60efe4, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x900213a9, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x34b15aad, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x251f7981, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0xeecd0c3f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x754d539c, "strlen" },
	{ 0xcecf0238, "napi_disable" },
	{ 0x1b3f4367, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x30171302, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0xcb907059, "skb_queue_head" },
	{ 0xbf6f4251, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xbf02db51, "ieee80211_beacon_update_cntdwn" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3a5f717, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0x4d5167d6, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf467a56b, "is_acpi_device_node" },
	{ 0x3273f924, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9453cbd0, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0xdca0f8b3, "ieee80211_txq_get_depth" },
	{ 0xfb0d20e5, "param_ops_uint" },
	{ 0xe722c3e3, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc2a55c42, "devm_kmalloc" },
	{ 0xf29e4fc8, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x728617f9, "firmware_request_nowarn" },
	{ 0x594b88c, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x700bf874, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x507b0359, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x374763da, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4feba189, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x71ee784f, "dma_unmap_page_attrs" },
	{ 0x64f45db7, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x9d4242aa, "ieee80211_iterate_stations_atomic" },
	{ 0x3eec5231, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb1f865e, "ieee80211_beacon_loss" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0xef207a07, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xcda162e4, "pcpu_hot" },
	{ 0x9b6a354, "thermal_cooling_device_register" },
	{ 0x8e55267d, "led_classdev_unregister" },
	{ 0xf21dc1d6, "ieee80211_register_hw" },
	{ 0x16bac1bc, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x74002c3a, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xfdb512aa, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe261c261, "pskb_expand_head" },
	{ 0xccfd7f9a, "skb_queue_purge_reason" },
	{ 0x46b452a3, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0xc610db3d, "dma_map_page_attrs" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6507a56c, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xb0587c9b, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x205d4b22, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x87094057, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x4361d899, "skb_queue_tail" },
	{ 0xc2082cbd, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc3b0d01, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf6990e7e, "wiphy_to_ieee80211_hw" },
	{ 0x48f58b37, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x435e9316, "ieee80211_queue_delayed_work" },
	{ 0xa6edf559, "ieee80211_proberesp_get" },
	{ 0xf26994e8, "_dev_err" },
	{ 0xb2a0d9db, "skb_pull" },
	{ 0xdd57298f, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9c6eb334, "init_uts_ns" },
	{ 0x3a88aadb, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4d909aba, "ieee80211_find_sta_by_ifaddr" },
	{ 0x21d1e5e1, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x744c7aee, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x22435e27, "skb_push" },
	{ 0xf28a09f6, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0xf0ca4fca, "napi_enable" },
	{ 0x13c0013, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbf521c3d, "ieee80211_wake_queues" },
	{ 0x680c177, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x32219693, "ieee80211_report_low_ack" },
	{ 0x37d1b037, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9d99c8c4, "ieee80211_free_txskb" },
	{ 0x49e03fb4, "led_classdev_register_ext" },
	{ 0xdff3b24e, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1780cf06, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xe85cad1e, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x82c91afd, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x82ce50f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x1917616d, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x67e05dc0, "devm_nvmem_cell_get" },
	{ 0x3a0e832a, "ieee80211_stop_queue" },
	{ 0x2882c5e1, "__netdev_alloc_skb" },
	{ 0xd860c630, "ieee80211_ready_on_channel" },
	{ 0xcf456000, "ieee80211_stop_queues" },
	{ 0x42d1be4, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97ff2b3f, "skb_realloc_headroom" },
	{ 0x5f2fa946, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x98d268c8, "alloc_netdev_dummy" },
	{ 0x979e5deb, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xcd2f10de, "ieee80211_scan_completed" },
	{ 0x691f48a4, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8f7fc6c5, "param_ops_bool" },
	{ 0xf32fc010, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x32a3b848, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xedff7f5e, "ath_regd_init" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x9dccc050, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7f558053, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6c2ad546, "ieee80211_tdls_oper_request" },
	{ 0x4ad6e9a, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x296ece3c, "thermal_cooling_device_unregister" },
	{ 0x7f107f11, "ieee80211_tx_rate_update" },
	{ 0x76cfc2b1, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "6D6B90764409B5623EE05A4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
