#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x51a4e0b6, "");
SYMBOL_CRC(rtw_pci_probe, 0xad01b47e, "");
SYMBOL_CRC(rtw_pci_remove, 0x606eaf8e, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x400383ee, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4ee4874c, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xaf13f696, "__dma_sync_single_for_cpu" },
	{ 0x4b198dad, "rtw_unregister_hw" },
	{ 0xf26994e8, "_dev_err" },
	{ 0xb2a0d9db, "skb_pull" },
	{ 0x3ac30641, "rtw_tx_fill_tx_desc" },
	{ 0x22435e27, "skb_push" },
	{ 0xf28a09f6, "dma_alloc_attrs" },
	{ 0xf0ca4fca, "napi_enable" },
	{ 0xebf670d7, "rtw_core_init" },
	{ 0x680c177, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1780cf06, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xea664193, "pci_iounmap" },
	{ 0xfc64adb, "rtw_update_rx_freq_from_ie" },
	{ 0x4e41d511, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0x82ce50f, "_dev_warn" },
	{ 0xe192eae0, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3a0e832a, "ieee80211_stop_queue" },
	{ 0x2882c5e1, "__netdev_alloc_skb" },
	{ 0xe6a8a277, "rtw_rx_stats" },
	{ 0x5759cc9c, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb98bae8a, "rtw_register_hw" },
	{ 0x98d268c8, "alloc_netdev_dummy" },
	{ 0x979e5deb, "dma_free_attrs" },
	{ 0x8f7fc6c5, "param_ops_bool" },
	{ 0x21fa2785, "pci_release_regions" },
	{ 0xf32fc010, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x32a3b848, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcda2e75a, "rtw_core_deinit" },
	{ 0x696b5cdb, "rtw_ops" },
	{ 0x679339ed, "pci_disable_device" },
	{ 0xd83e5953, "napi_schedule_prep" },
	{ 0xcecf0238, "napi_disable" },
	{ 0x1b3f4367, "dev_kfree_skb_any_reason" },
	{ 0xd3c1f102, "rtw_power_mode_change" },
	{ 0xe8d8aaf6, "rtw_tx_write_data_h2c_get" },
	{ 0x5e6f16d6, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7d73ebac, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xbf6f4251, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x630c3351, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x95f2d150, "rtw_tx_queue_mapping" },
	{ 0x800e601, "pcie_capability_read_word" },
	{ 0x43328a40, "devm_request_threaded_irq" },
	{ 0x879b4edc, "pci_enable_device" },
	{ 0xf29e4fc8, "skb_put" },
	{ 0x594b88c, "consume_skb" },
	{ 0x5c261cab, "pci_iomap" },
	{ 0xafe6f645, "pci_alloc_irq_vectors" },
	{ 0xd433ee03, "netif_napi_add_weight" },
	{ 0x374763da, "skb_dequeue" },
	{ 0x4feba189, "ieee80211_free_hw" },
	{ 0x71ee784f, "dma_unmap_page_attrs" },
	{ 0x1a4a8726, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0xb8b3c86e, "dev_kfree_skb_irq_reason" },
	{ 0xa3cd23d6, "pci_set_power_state" },
	{ 0xa87d3ba4, "__netif_napi_del" },
	{ 0x74002c3a, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x46b452a3, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc610db3d, "dma_map_page_attrs" },
	{ 0x80965ca9, "napi_complete_done" },
	{ 0x6507a56c, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x14eab3bc, "devm_free_irq" },
	{ 0xefc1f0ac, "__napi_schedule" },
	{ 0x4361d899, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xba81fbbb, "rtw_chip_info_setup" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "191B9E9D2EA059C02ECEF9F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
