#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(alloc_rtllib, "", "");
KSYMTAB_FUNC(free_rtllib, "", "");
KSYMTAB_FUNC(rtllib_rx, "", "");
KSYMTAB_FUNC(rtllib_legal_channel, "", "");
KSYMTAB_FUNC(rtllib_xmit, "", "");
KSYMTAB_FUNC(rtllib_wx_get_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mlme, "", "");
KSYMTAB_FUNC(rtllib_wx_set_auth, "", "");
KSYMTAB_FUNC(rtllib_wx_set_gen_ie, "", "");
KSYMTAB_FUNC(rtllib_stop_scan, "", "");
KSYMTAB_FUNC(rtllib_stop_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_act_scanning, "", "");
KSYMTAB_FUNC(rtllib_start_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_sta_ps_send_null_frame, "", "");
KSYMTAB_FUNC(rtllib_ps_tx_ack, "", "");
KSYMTAB_FUNC(rtllib_reset_queue, "", "");
KSYMTAB_FUNC(rtllib_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(rtllib_softmac_start_protocol, "", "");
KSYMTAB_FUNC(rtllib_mgnt_disconnect, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event, "", "");
KSYMTAB_FUNC(rtllib_wx_set_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_set_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_get_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_get_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_name, "", "");
KSYMTAB_FUNC(rtllib_wx_set_power, "", "");
KSYMTAB_FUNC(rtllib_wx_get_power, "", "");
KSYMTAB_FUNC(HT_update_self_and_peer_setting, "", "");
KSYMTAB_FUNC(remove_peer_ts, "", "");

SYMBOL_CRC(alloc_rtllib, 0x93325138, "");
SYMBOL_CRC(free_rtllib, 0xc41c99ff, "");
SYMBOL_CRC(rtllib_rx, 0x6c988107, "");
SYMBOL_CRC(rtllib_legal_channel, 0x25446755, "");
SYMBOL_CRC(rtllib_xmit, 0xa74a09a9, "");
SYMBOL_CRC(rtllib_wx_get_scan, 0x1880351a, "");
SYMBOL_CRC(rtllib_wx_set_encode, 0x57a19ff9, "");
SYMBOL_CRC(rtllib_wx_get_encode, 0x1311e9d5, "");
SYMBOL_CRC(rtllib_wx_set_encode_ext, 0x3f46f534, "");
SYMBOL_CRC(rtllib_wx_set_mlme, 0x3654ac44, "");
SYMBOL_CRC(rtllib_wx_set_auth, 0x463b7702, "");
SYMBOL_CRC(rtllib_wx_set_gen_ie, 0x6f428a1d, "");
SYMBOL_CRC(rtllib_stop_scan, 0x0eecc7fd, "");
SYMBOL_CRC(rtllib_stop_scan_syncro, 0x5d7c6c58, "");
SYMBOL_CRC(rtllib_act_scanning, 0x86ebbec6, "");
SYMBOL_CRC(rtllib_start_scan_syncro, 0x902c5f88, "");
SYMBOL_CRC(rtllib_sta_ps_send_null_frame, 0x09b1b327, "");
SYMBOL_CRC(rtllib_ps_tx_ack, 0xa305fbf7, "");
SYMBOL_CRC(rtllib_reset_queue, 0x16124a03, "");
SYMBOL_CRC(rtllib_softmac_stop_protocol, 0x752fb13f, "");
SYMBOL_CRC(rtllib_softmac_start_protocol, 0x78066dd2, "");
SYMBOL_CRC(rtllib_mgnt_disconnect, 0x824b9901, "");
SYMBOL_CRC(notify_wx_assoc_event, 0x08bb31e7, "");
SYMBOL_CRC(rtllib_wx_set_freq, 0x15d2da07, "");
SYMBOL_CRC(rtllib_wx_get_freq, 0x453381fb, "");
SYMBOL_CRC(rtllib_wx_get_wap, 0xcfa5c93f, "");
SYMBOL_CRC(rtllib_wx_set_wap, 0x2b8f094f, "");
SYMBOL_CRC(rtllib_wx_get_essid, 0x3e3114b0, "");
SYMBOL_CRC(rtllib_wx_set_rate, 0x45ac6a38, "");
SYMBOL_CRC(rtllib_wx_get_rate, 0x154d31c4, "");
SYMBOL_CRC(rtllib_wx_set_rts, 0x7d86a79e, "");
SYMBOL_CRC(rtllib_wx_get_rts, 0x99ac67ee, "");
SYMBOL_CRC(rtllib_wx_set_mode, 0x2ad1278d, "");
SYMBOL_CRC(rtllib_wx_set_scan, 0x48616ee6, "");
SYMBOL_CRC(rtllib_wx_set_essid, 0x8a6a4bdc, "");
SYMBOL_CRC(rtllib_wx_get_mode, 0x7a307c71, "");
SYMBOL_CRC(rtllib_wx_get_name, 0xa3104b6c, "");
SYMBOL_CRC(rtllib_wx_set_power, 0xc3ad93d4, "");
SYMBOL_CRC(rtllib_wx_get_power, 0x77f6ccb8, "");
SYMBOL_CRC(HT_update_self_and_peer_setting, 0xd1e732b6, "");
SYMBOL_CRC(remove_peer_ts, 0x5386a41f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a8f5516, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbc75196f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x857832a8, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7a9d7cda, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x4361d899, "skb_queue_tail" },
	{ 0x3eec2f87, "lib80211_get_crypto_ops" },
	{ 0xb2a0d9db, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x3a88aadb, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x22435e27, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0xe4b77d35, "wireless_send_event" },
	{ 0x9166fada, "strncpy" },
	{ 0x680c177, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x940f5247, "netif_tx_stop_all_queues" },
	{ 0xf4c0860b, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x939ff840, "netif_rx" },
	{ 0x2882c5e1, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x675c38af, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbed1d79, "netdev_alert" },
	{ 0x82380173, "lib80211_crypt_info_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3238a6b5, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2c78a55f, "lib80211_crypt_delayed_deinit" },
	{ 0x3e987b57, "netif_carrier_on" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x1b3f4367, "dev_kfree_skb_any_reason" },
	{ 0xf9a482f9, "msleep" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0x5b7dfe46, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7429ba6a, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0x8521d398, "try_module_get" },
	{ 0xf29e4fc8, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x594b88c, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0x8eb8637c, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "lib80211,cfg80211");


MODULE_INFO(srcversion, "78AB9FA809DB4301DC7C1DA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
