#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x5b93d5d0, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x4c1c46dd, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x7bece8d8, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x91928753, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xe1f1e794, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x0b2ce12b, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x8c11196b, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xc601be60, "");
SYMBOL_CRC(ip_vs_conn_put, 0x58b15de7, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x3c688503, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x9fd4fa57, "");
SYMBOL_CRC(register_ip_vs_app, 0x25d4baa4, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xa09fa9c5, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x82b94d73, "");
SYMBOL_CRC(ip_vs_proto_get, 0x27ba6050, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xec89cf02, "");
SYMBOL_CRC(register_ip_vs_pe, 0xf93a770f, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xf4417ec4, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x727c01d3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x85a6484a, "ip_route_me_harder" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x22435e27, "skb_push" },
	{ 0x7769ef67, "kmem_cache_free" },
	{ 0x7d887f94, "set_cpus_allowed_ptr" },
	{ 0xe6d8b7d8, "seq_putc" },
	{ 0x8d304f20, "nla_put" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x1546d00a, "nf_ct_expect_alloc" },
	{ 0x573eec97, "skb_ensure_writable" },
	{ 0x53a617e5, "iov_iter_kvec" },
	{ 0x78ec9356, "ip_mc_join_group" },
	{ 0xb284f373, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9c287125, "ns_capable" },
	{ 0xe7395bc8, "nf_unregister_net_hooks" },
	{ 0xd5d1c0d4, "inet_select_addr" },
	{ 0x63679aac, "unregister_pernet_device" },
	{ 0x5a22484a, "lock_sock_nested" },
	{ 0x9f07f6f0, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x5103e140, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xffe24112, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6bc1be57, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xd41db1a, "kernel_connect" },
	{ 0x25538852, "skb_checksum" },
	{ 0x717442f4, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x58282fae, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xaa60b0a5, "__pskb_pull_tail" },
	{ 0xcd0bc045, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x7c4d8b1a, "__kmem_cache_create_args" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x42d1be4, "skb_trim" },
	{ 0xbc83b5ff, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x444d7b76, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x9782ab64, "nf_ct_deliver_cached_events" },
	{ 0x97ff2b3f, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x973202fb, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6c32213f, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa33f234, "ipv4_mtu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x7314b9e, "skb_set_owner_w" },
	{ 0x46530191, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2fe2ea88, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb93790a, "init_user_ns" },
	{ 0xe56943b1, "nf_ct_expect_init" },
	{ 0xc6fdbda, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x26deb8aa, "remove_proc_entry" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xec0d1f0c, "seq_printf" },
	{ 0xd3538a03, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x8c409ca4, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6065b395, "ipv4_update_pmtu" },
	{ 0xb8c40b23, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x613d84bf, "dst_release" },
	{ 0x12115490, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0xc09d9c8f, "ip_local_out" },
	{ 0x8325f0fc, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xa18820bf, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x15ad61cd, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf4cea1bc, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa966bd82, "kernel_sendmsg" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xe9274006, "nf_ct_netns_put" },
	{ 0xb83b7c7e, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x83a771ba, "kmem_cache_destroy" },
	{ 0x89ff91f1, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x8a51a78a, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xa58f3307, "nf_conntrack_find_get" },
	{ 0x8521d398, "try_module_get" },
	{ 0x954cad91, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf1468247, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xbd745870, "skb_copy_bits" },
	{ 0x250a3e8e, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0x594b88c, "consume_skb" },
	{ 0x2c06d76, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x432c726b, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa758b0dd, "nf_register_sockopt" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x319422c7, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6e4ac46b, "kernel_bind" },
	{ 0x12ccd893, "set_user_nice" },
	{ 0xd1607261, "genlmsg_put" },
	{ 0x8d7ba3b0, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xf6c8adff, "ip6_output" },
	{ 0x417b6f4f, "ip6_route_me_harder" },
	{ 0xcda162e4, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x95b943ce, "__module_get" },
	{ 0xff44be0c, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd93e6418, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x68b5803e, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x94cb6d13, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe261c261, "pskb_expand_head" },
	{ 0xb09d5885, "register_pernet_subsys" },
	{ 0xd00e32b8, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x1fd87ad6, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xb232799d, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x84aa1c9e, "nf_register_net_hooks" },
	{ 0xbe8133b6, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xdce5e300, "__alloc_skb" },
	{ 0x90c2148a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb571001a, "ipv6_sock_mc_join" },
	{ 0xd12e2547, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x443a0ba, "ipv6_dev_get_saddr" },
	{ 0xc2d420a8, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaae0d8e9, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc0ddd2c0, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3a88aadb, "sk_skb_reason_drop" },
	{ 0x96a3e87f, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe960cebc, "nf_ct_expect_related_report" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "1E9D6D0F67CB00A5990043E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
