#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x1d57d440, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xd80edf61, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xa35057a0, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x52ede43c, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x1736753b, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x89a5849a, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x8503686e, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xf5f169cf, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x6ab54413, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xdde66ec3, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x43759f62, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb09d5885, "register_pernet_subsys" },
	{ 0x6bc1be57, "unregister_pernet_subsys" },
	{ 0x84aa1c9e, "nf_register_net_hooks" },
	{ 0xec0d1f0c, "seq_printf" },
	{ 0xc6fdbda, "seq_write" },
	{ 0xe7395bc8, "nf_unregister_net_hooks" },
	{ 0x573eec97, "skb_ensure_writable" },
	{ 0x9e5a0ad, "inet_proto_csum_replace4" },
	{ 0x85a6484a, "ip_route_me_harder" },
	{ 0xc09d9c8f, "ip_local_out" },
	{ 0x3a88aadb, "sk_skb_reason_drop" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x8df3d3f5, "security_skb_classify_flow" },
	{ 0x379d8da7, "__nf_ip6_route" },
	{ 0x250a3e8e, "xfrm_lookup" },
	{ 0x2c06d76, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbd745870, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x26deb8aa, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x20116750, "nf_ct_tmpl_alloc" },
	{ 0x8a51a78a, "nf_ct_ext_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x94cb6d13, "proc_create_net_data" },
	{ 0x94b7045c, "nf_ct_tmpl_free" },
	{ 0x99e6780e, "__cookie_v6_check" },
	{ 0xdce5e300, "__alloc_skb" },
	{ 0xf29e4fc8, "skb_put" },
	{ 0x3d4877b6, "ipv6_skip_exthdr" },
	{ 0x5974bcd6, "nf_ct_seqadj_init" },
	{ 0x594b88c, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x18428692, "__cookie_v6_init_sequence" },
	{ 0x2d0143e8, "__cookie_v4_check" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "99500728F5B57851ADBDFD3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
