#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0xb2d58e22, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0xe75942d6, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x650c6b76, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x100e1155, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x2951954f, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x7c9bc574, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x3b0f280b, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0xd322314e, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x09d2376f, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x7e163800, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x1089f54a, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x66ba4097, "");
SYMBOL_CRC(key_type_rxrpc, 0xf7b5f1f4, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x9c35885f, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x2803fc16, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0xe81203d1, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0xe446b64f, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0x550ffed0, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0x64826871, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0xfeea6e6e, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x83e6e56f, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0xccf3cd51, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x91f4929b, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x6014adaf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x156218b7, "kernel_sock_shutdown" },
	{ 0xfa9e3aa9, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7769ef67, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0xa5025594, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x53a617e5, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x63679aac, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x5a22484a, "lock_sock_nested" },
	{ 0x5103e140, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xbe222b71, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xd31ce0b7, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x7f22a489, "sk_alloc" },
	{ 0xc3281e0c, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xdef8c1fc, "__sock_recv_wifi_status" },
	{ 0x5d39ebe7, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8fd5ad3b, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x58282fae, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6ace2049, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x7ea0e50d, "key_validate" },
	{ 0x266954a3, "crypto_alloc_sync_skcipher" },
	{ 0x7c4d8b1a, "__kmem_cache_create_args" },
	{ 0xa8cfdc40, "setup_udp_tunnel_sock" },
	{ 0xfc96cb16, "proc_remove" },
	{ 0xdab280c9, "udp_sock_create6" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x444d7b76, "kthread_create_on_node" },
	{ 0x7126922c, "bpf_trace_run3" },
	{ 0x41e4405e, "__page_frag_cache_drain" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa33f234, "ipv4_mtu" },
	{ 0xf0b2406b, "trace_event_buffer_reserve" },
	{ 0x1b889246, "keyring_search" },
	{ 0xd6812f93, "ip_sock_set_recverr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf92748d, "request_key_tag" },
	{ 0x8e10ee0, "generic_key_instantiate" },
	{ 0xc6fdbda, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb3344b48, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec0d1f0c, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x7f558053, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x20e7895f, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x613d84bf, "dst_release" },
	{ 0x88f6cc4e, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x12115490, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa40f7ee2, "sock_no_ioctl" },
	{ 0x2d234398, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x24b95a5f, "__seq_puts" },
	{ 0x4ce0f44d, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xe1f006b, "bpf_trace_run7" },
	{ 0x77d78f7c, "ip_icmp_error" },
	{ 0xd7c8d53d, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa966bd82, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x721e3ddb, "skb_to_sgvec" },
	{ 0xb83b7c7e, "register_pernet_device" },
	{ 0x70e49832, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x54c327fe, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0x83a771ba, "kmem_cache_destroy" },
	{ 0x89ff91f1, "release_sock" },
	{ 0xcb907059, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2ac7742b, "proc_create_net_single_write" },
	{ 0x622b466e, "crypto_alloc_skcipher" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xf0dc4b60, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4f85a156, "key_alloc" },
	{ 0xefe9b531, "bpf_trace_run4" },
	{ 0xbd745870, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfb0d20e5, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x594b88c, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6a069c0e, "trace_raw_output_prep" },
	{ 0xc0ccf8af, "udp_sock_create4" },
	{ 0xfed30b34, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x374763da, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc3e667c3, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xda287eb0, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x12ccd893, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0x11bed0ff, "udpv6_sendmsg" },
	{ 0x62f14dd6, "unregister_key_type" },
	{ 0xe5a01084, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xf8caf98c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb02f7dd4, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xcda162e4, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x8fc2563a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8ab208d1, "crypto_skcipher_setkey" },
	{ 0xff44be0c, "ip_route_output_flow" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x3a59f38e, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x138ca5bb, "register_key_type" },
	{ 0x94cb6d13, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcf3167, "put_cmsg" },
	{ 0xd00e32b8, "wake_up_process" },
	{ 0x4f10b01b, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x1fd87ad6, "register_net_sysctl_sz" },
	{ 0xf62c2f35, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x8cbd4209, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x7159faee, "ipv6_icmp_error" },
	{ 0x1c37e98c, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x759c4c07, "crypto_skcipher_decrypt" },
	{ 0x17f1527f, "make_kuid" },
	{ 0xbe8133b6, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x90c2148a, "const_pcpu_hot" },
	{ 0x75c83bd1, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x4361d899, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2c5802, "work_busy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x11847b0c, "__sock_recv_timestamp" },
	{ 0xd46c105f, "key_put" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xaa898f90, "perf_trace_run_bpf_submit" },
	{ 0xaae0d8e9, "init_net" },
	{ 0xb2a0d9db, "skb_pull" },
	{ 0xbc01ddc0, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0x9416bde1, "sock_enable_timestamps" },
	{ 0xeb508efb, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc0ddd2c0, "ip6_mtu" },
	{ 0x3a88aadb, "sk_skb_reason_drop" },
	{ 0x6626afca, "down" },
	{ 0x94cf4ef, "bpf_trace_run5" },
	{ 0x908cfb12, "sk_free" },
	{ 0xa8c34936, "sock_wake_async" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "C11ADA667B03D25AFD0805C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
