#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_fw_transaction, "", "");
KSYMTAB_FUNC(fw_iso_resources_init, "", "");
KSYMTAB_FUNC(fw_iso_resources_destroy, "", "");
KSYMTAB_FUNC(fw_iso_resources_allocate, "", "");
KSYMTAB_FUNC(fw_iso_resources_update, "", "");
KSYMTAB_FUNC(fw_iso_resources_free, "", "");
KSYMTAB_FUNC(iso_packets_buffer_init, "", "");
KSYMTAB_FUNC(iso_packets_buffer_destroy, "", "");
KSYMTAB_FUNC(avc_general_set_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_plug_info, "", "");
KSYMTAB_FUNC(fcp_avc_transaction, "", "");
KSYMTAB_FUNC(fcp_bus_reset, "", "");
KSYMTAB_FUNC(cmp_connection_init, "", "");
KSYMTAB_FUNC(cmp_connection_check_used, "", "");
KSYMTAB_FUNC(cmp_connection_destroy, "", "");
KSYMTAB_FUNC(cmp_connection_reserve, "", "");
KSYMTAB_FUNC(cmp_connection_release, "", "");
KSYMTAB_FUNC(cmp_connection_establish, "", "");
KSYMTAB_FUNC(cmp_connection_update, "", "");
KSYMTAB_FUNC(cmp_connection_break, "", "");
KSYMTAB_FUNC(amdtp_stream_init, "", "");
KSYMTAB_FUNC(amdtp_stream_destroy, "", "");
KSYMTAB_DATA(amdtp_syt_intervals, "", "");
KSYMTAB_DATA(amdtp_rate_table, "", "");
KSYMTAB_FUNC(amdtp_stream_add_pcm_hw_constraints, "", "");
KSYMTAB_FUNC(amdtp_stream_set_parameters, "", "");
KSYMTAB_FUNC(amdtp_stream_get_max_payload, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_prepare, "", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_pointer, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_ack, "_gpl", "");
KSYMTAB_FUNC(amdtp_stream_update, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_abort, "", "");
KSYMTAB_FUNC(amdtp_domain_init, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_destroy, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_add_stream, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_start, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stop, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_parameters, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_pcm_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_midi_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_add_pcm_hw_constraints, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_midi_trigger, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_init, "_gpl", "");

SYMBOL_CRC(snd_fw_transaction, 0x9bbbb6da, "");
SYMBOL_CRC(fw_iso_resources_init, 0x583240ac, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0xcb9b627a, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0xbec43b7f, "");
SYMBOL_CRC(fw_iso_resources_update, 0xa1f3b176, "");
SYMBOL_CRC(fw_iso_resources_free, 0xfcc323e7, "");
SYMBOL_CRC(iso_packets_buffer_init, 0x27d85dbb, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0x8f736a00, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x2a29d191, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0x51885cbc, "");
SYMBOL_CRC(avc_general_get_plug_info, 0x6123d7fc, "");
SYMBOL_CRC(fcp_avc_transaction, 0xb072a47a, "");
SYMBOL_CRC(fcp_bus_reset, 0x69347526, "");
SYMBOL_CRC(cmp_connection_init, 0xefeb2ba6, "");
SYMBOL_CRC(cmp_connection_check_used, 0xe680266e, "");
SYMBOL_CRC(cmp_connection_destroy, 0xc082da81, "");
SYMBOL_CRC(cmp_connection_reserve, 0xbc8cc768, "");
SYMBOL_CRC(cmp_connection_release, 0xbbd4174b, "");
SYMBOL_CRC(cmp_connection_establish, 0x94e105c5, "");
SYMBOL_CRC(cmp_connection_update, 0xd0474f47, "");
SYMBOL_CRC(cmp_connection_break, 0x29d304d1, "");
SYMBOL_CRC(amdtp_stream_init, 0x5df3b8dd, "");
SYMBOL_CRC(amdtp_stream_destroy, 0x490dfbec, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0xee34d286, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0x4cb04d16, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0x55a2010b, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0xb6a65c9d, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0xf50af5c2, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0xbd5ae480, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0x7196157b, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0xdb5c50ee, "");
SYMBOL_CRC(amdtp_domain_init, 0xc58b2984, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0xad4fa593, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0x9dc24373, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0x60001895, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0x7531b811, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0x397c25b5, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0xddd09b01, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0xc146bd76, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0x4445b7e5, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0xb2761292, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0x72a6adfb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf8caf98c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd0bbba6f, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xcda162e4, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x916a152a, "fw_core_remove_address_handler" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa9d4d4ef, "fw_iso_context_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd7ed2a8a, "fw_core_add_address_handler" },
	{ 0x4f10b01b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d1d03fd, "snd_pcm_hw_rule_add" },
	{ 0x654fa94e, "fw_iso_context_queue" },
	{ 0x87094057, "_dev_info" },
	{ 0xfa4462ce, "fw_card_read_cycle_time" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xaa898f90, "perf_trace_run_bpf_submit" },
	{ 0xf26994e8, "_dev_err" },
	{ 0xef95acbb, "fw_iso_buffer_destroy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa5025594, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8a73c93c, "fw_iso_resource_manage" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x44849254, "bpf_trace_run9" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x83e01d82, "fw_iso_context_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf0b2406b, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6333b711, "snd_pcm_stop_xrun" },
	{ 0xa94d11ce, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb4cdcb3d, "snd_pcm_period_elapsed" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb184e6f2, "fw_iso_context_flush_completions" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0x9aae6a66, "fw_iso_context_destroy" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x6369c780, "fw_run_transaction" },
	{ 0x93501145, "snd_rawmidi_receive" },
	{ 0xb1d9ab02, "fw_iso_buffer_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xff482056, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6a069c0e, "trace_raw_output_prep" },
	{ 0xc3e667c3, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xda287eb0, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x753ed5e7, "snd_pcm_hw_constraint_minmax" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-pcm,snd-rawmidi");


MODULE_INFO(srcversion, "74B4C99841680DC97763886");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
