#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_ttm_print_info, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_mmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_dumb_map_offset, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_setup, "", "");

SYMBOL_CRC(drm_gem_ttm_print_info, 0x3d184923, "");
SYMBOL_CRC(drm_gem_ttm_vmap, 0xc0ff6280, "");
SYMBOL_CRC(drm_gem_ttm_vunmap, 0xc5d2571c, "");
SYMBOL_CRC(drm_gem_ttm_mmap, 0xcfe4f0bc, "");
SYMBOL_CRC(drm_gem_ttm_dumb_map_offset, 0xe39a3cf3, "");
SYMBOL_CRC(drm_fbdev_ttm_setup, 0x1bc5b53e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6f95926, "drm_client_framebuffer_delete" },
	{ 0xbe828628, "drm_client_framebuffer_create" },
	{ 0xf3b1ed7b, "drm_fb_helper_deferred_io" },
	{ 0xab54b6a2, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2141fdbc, "drm_driver_legacy_fb_format" },
	{ 0xa1923279, "drm_fb_helper_fill_info" },
	{ 0xe9e0a826, "fb_deferred_io_init" },
	{ 0x542105af, "fb_deferred_io_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x46b452a3, "dev_driver_string" },
	{ 0xb6eb6690, "drm_fb_helper_hotplug_event" },
	{ 0x704615c7, "drm_gem_object_lookup" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc542fba9, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x14eeffc9, "sys_imageblit" },
	{ 0x15b874c4, "drm_fb_helper_damage_range" },
	{ 0xfd905c74, "drm_fb_helper_blank" },
	{ 0x544621e2, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf29c452, "drm_fb_helper_damage_area" },
	{ 0x1a39d80d, "sys_fillrect" },
	{ 0xd12e2547, "module_put" },
	{ 0x5624d5bf, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xa431110f, "drm_client_init" },
	{ 0x1a01342e, "drm_print_bits" },
	{ 0xee6b53bb, "drm_fb_helper_prepare" },
	{ 0xf26994e8, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb7234806, "__drm_dev_dbg" },
	{ 0x272b0818, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7949b997, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x31303a93, "drm_client_release" },
	{ 0x442cae70, "sys_copyarea" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a9c35d4, "fb_sys_read" },
	{ 0x632dcd0e, "drm_fb_helper_debug_leave" },
	{ 0x1655635, "ttm_bo_mmap_obj" },
	{ 0xa6067319, "drm_client_buffer_vunmap_local" },
	{ 0x7fb1bb66, "ttm_bo_vmap" },
	{ 0xbdca1fc5, "drm_client_buffer_vmap_local" },
	{ 0x7a8c8f87, "drm_fb_helper_initial_config" },
	{ 0x94908e13, "drm_fb_helper_unregister_info" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0x918ecde7, "drm_fb_helper_ioctl" },
	{ 0x4ef1f806, "drm_fb_helper_set_par" },
	{ 0xf55604c2, "drm_client_register" },
	{ 0x8521d398, "try_module_get" },
	{ 0x84384f83, "drm_fb_helper_init" },
	{ 0x295528f9, "drm_fb_helper_debug_enter" },
	{ 0xe3368b6f, "drm_fb_helper_lastclose" },
	{ 0x6ba72d57, "drm_fb_helper_setcmap" },
	{ 0x1b81b97e, "drm_fb_helper_alloc_info" },
	{ 0x6303bf79, "drm_helper_disable_unused_functions" },
	{ 0x545b9a81, "drm_fb_helper_unprepare" },
	{ 0xf8066393, "drm_fb_helper_fini" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "ttm");


MODULE_INFO(srcversion, "66A6C30A95B161197D8C13A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
