#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iio_dma_buffer_block_done, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_block_list_abort, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_request_update, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_enable, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_disable, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_read, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_write, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_usage, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_attach_dmabuf, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_detach_dmabuf, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_enqueue_dmabuf, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_lock_queue, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_unlock_queue, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_set_bytes_per_datum, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_set_length, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_init, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_exit, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_release, "_gpl", "IIO_DMA_BUFFER");

SYMBOL_CRC(iio_dma_buffer_block_done, 0x43631dd8, "_gpl");
SYMBOL_CRC(iio_dma_buffer_block_list_abort, 0x514d992d, "_gpl");
SYMBOL_CRC(iio_dma_buffer_request_update, 0xfbf37ce7, "_gpl");
SYMBOL_CRC(iio_dma_buffer_enable, 0x5852df8e, "_gpl");
SYMBOL_CRC(iio_dma_buffer_disable, 0xf038062b, "_gpl");
SYMBOL_CRC(iio_dma_buffer_read, 0x22056213, "_gpl");
SYMBOL_CRC(iio_dma_buffer_write, 0xdb208e06, "_gpl");
SYMBOL_CRC(iio_dma_buffer_usage, 0xe3ef14aa, "_gpl");
SYMBOL_CRC(iio_dma_buffer_attach_dmabuf, 0xaef05d10, "_gpl");
SYMBOL_CRC(iio_dma_buffer_detach_dmabuf, 0x1949e7dc, "_gpl");
SYMBOL_CRC(iio_dma_buffer_enqueue_dmabuf, 0x60739402, "_gpl");
SYMBOL_CRC(iio_dma_buffer_lock_queue, 0x662a561d, "_gpl");
SYMBOL_CRC(iio_dma_buffer_unlock_queue, 0x0c4d67b5, "_gpl");
SYMBOL_CRC(iio_dma_buffer_set_bytes_per_datum, 0xa58e6ce0, "_gpl");
SYMBOL_CRC(iio_dma_buffer_set_length, 0x65f46823, "_gpl");
SYMBOL_CRC(iio_dma_buffer_init, 0x1fd8ef03, "_gpl");
SYMBOL_CRC(iio_dma_buffer_exit, 0x0f4a400e, "_gpl");
SYMBOL_CRC(iio_dma_buffer_release, 0x0b616189, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x979e5deb, "dma_free_attrs" },
	{ 0x8f50168d, "iio_buffer_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x811f84ac, "iio_buffer_init" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0xf28a09f6, "dma_alloc_attrs" },
	{ 0x83b9340d, "iio_buffer_get" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd085b108, "iio_buffer_signal_dmabuf_done" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "industrialio");


MODULE_INFO(srcversion, "64DCF8D7C4D48A5DA12915B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
