#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x0c05e60c, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x7a9aaadf, "");
SYMBOL_CRC(ivtv_api, 0x09397cf7, "");
SYMBOL_CRC(ivtv_vapi, 0xacba49df, "");
SYMBOL_CRC(ivtv_vapi_result, 0xd465b30b, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0xb2b5993c, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0xe03cf0a8, "");
SYMBOL_CRC(ivtv_udma_setup, 0x745a783f, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x1e8eea7e, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x709a05a1, "");
SYMBOL_CRC(ivtv_udma_prepare, 0xbd60b4d5, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x8dff2cb6, "");
SYMBOL_CRC(ivtv_firmware_check, 0xf8a24384, "");
SYMBOL_CRC(ivtv_claim_stream, 0x3651944b, "");
SYMBOL_CRC(ivtv_release_stream, 0x0af4c626, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0xcd3692ee, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x652546e0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf13f696, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xc90a1603, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4627f5a1, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6481781b, "v4l2_fh_is_singular" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9ef0e707, "pci_read_config_word" },
	{ 0x44da390e, "v4l2_ctrl_subscribe_event" },
	{ 0x419c6085, "v4l2_fh_init" },
	{ 0x4dfc6cd8, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc4217fa8, "__kthread_init_worker" },
	{ 0xb67e5532, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5103e140, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xebeb87fa, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xe192eae0, "pci_set_master" },
	{ 0x86cee537, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc005ab6d, "__v4l2_device_register_subdev" },
	{ 0xddd41be9, "v4l2_device_register" },
	{ 0xe993624f, "param_ops_string" },
	{ 0xdac767d6, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x444d7b76, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xac772259, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf32fc010, "__dma_sync_single_for_device" },
	{ 0x2c008362, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0x59022d1f, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe950b747, "v4l2_ctrl_new_std" },
	{ 0x499ab7a0, "v4l2_ctrl_g_ctrl" },
	{ 0xeefe9ea4, "cx2341x_handler_init" },
	{ 0xbfcf4aaa, "cx2341x_handler_set_50hz" },
	{ 0x16c99ff6, "v4l2_ctrl_handler_free" },
	{ 0x392c34a, "v4l2_device_unregister" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x37b36d5a, "dma_set_mask" },
	{ 0x5002c792, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4665015d, "v4l2_subdev_call_wrappers" },
	{ 0x3f50a537, "dma_unmap_sg_attrs" },
	{ 0x53324a2b, "v4l2_event_queue" },
	{ 0x553cc357, "v4l2_i2c_new_subdev" },
	{ 0xe7af37bf, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x15ad61cd, "param_ops_int" },
	{ 0x3bf6f346, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7f898cbb, "video_device_release_empty" },
	{ 0xd1dcf27d, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x50083523, "pci_write_config_dword" },
	{ 0x889cd07b, "v4l2_event_unsubscribe" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x547830ee, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xcf024a1, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x75cbdbc0, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1a46754, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe8599b95, "i2c_bit_add_bus" },
	{ 0xf3aac187, "v4l2_fh_del" },
	{ 0xf9f53b80, "v4l2_i2c_new_subdev_board" },
	{ 0x14b5b096, "kthread_flush_worker" },
	{ 0x1fbe9560, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x71ee784f, "dma_unmap_page_attrs" },
	{ 0xe45b1577, "request_firmware" },
	{ 0xaed0ecf4, "__pci_register_driver" },
	{ 0x79eb4475, "v4l2_ctrl_handler_init_class" },
	{ 0x48bfad05, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x65af9199, "unpin_user_pages" },
	{ 0x4abe5e45, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc7b1fc6a, "i2c_transfer_buffer_flags" },
	{ 0x2077018d, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9a9f68b8, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd00e32b8, "wake_up_process" },
	{ 0x46b452a3, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc610db3d, "dma_map_page_attrs" },
	{ 0x217b5825, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x5a9c3b48, "v4l2_ctrl_handler_log_status" },
	{ 0xc0d5954, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4bfaf00d, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x3f28a447, "i2c_new_scanned_device" },
	{ 0x280e33b9, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xdfa45e35, "kthread_queue_work" },
	{ 0x90c2148a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa3782053, "__free_pages" },
	{ 0x5243bc9d, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x348cec84, "__v4l2_ctrl_s_ctrl" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "tveeprom,videodev,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B1225A0FA9EB7CCB07B31CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
