#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0x2d5a2bde, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0x13352b57, "_gpl");
SYMBOL_CRC(sdhci_reset, 0xa61d6cc6, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0xf4eafff0, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0x2b47f29f, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0x6309dbc9, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0x43c14c7a, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0x2b6182ab, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0xa9e21a8f, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0x8e50664e, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0x10cba4fd, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0x67e48d3a, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0x281da768, "_gpl");
SYMBOL_CRC(sdhci_request, 0x1f3bd7d8, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0x251c5ac7, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0xfaf197e9, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0x3154a934, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0xb8dfd675, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0x38bced03, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0xe2963202, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0x2d04797e, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0x2dd5d384, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0xb6c6183c, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0x4382ec98, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0x354dc97c, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0x1130fc0c, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0x9dfa03f4, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0xc0f101db, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0xca47707d, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0xf42bccbf, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0xd0355378, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0x60ce28a6, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x0fb48fac, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0x7e4a06ef, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0xd49921fe, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0x10b59495, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0x0a403c17, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0xe1e19371, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0x6ed7a6ed, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0x984002dc, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0xa3aa6ee1, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0x0046e0b9, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0xe56aecaf, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0x6427c43c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0x547830ee, "dma_map_sg_attrs" },
	{ 0xf32fc010, "__dma_sync_single_for_device" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x3f50a537, "dma_unmap_sg_attrs" },
	{ 0x8e9e73c, "mmc_alloc_host" },
	{ 0x979e5deb, "dma_free_attrs" },
	{ 0x2017f219, "regulator_disable" },
	{ 0x5e234f14, "mmc_free_host" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6b75c26b, "mmc_retune_timer_stop" },
	{ 0xaa309cf, "synchronize_hardirq" },
	{ 0x49ea1d64, "mmc_send_abort_tuning" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe5d9c49, "mmc_regulator_set_ocr" },
	{ 0xc32e1d60, "mmc_request_done" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xaf13f696, "__dma_sync_single_for_cpu" },
	{ 0xe09f472d, "mmc_gpio_get_cd" },
	{ 0xc3fe17b0, "mmc_can_gpio_cd" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49e03fb4, "led_classdev_register_ext" },
	{ 0xa9f650b2, "mmc_add_host" },
	{ 0x8e55267d, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x416ab5fe, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb3aded57, "mmc_can_gpio_ro" },
	{ 0x1ffa689c, "mmc_gpio_get_ro" },
	{ 0xe7338f6c, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7b5a0c3a, "device_property_read_u64_array" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x370ae648, "regulator_is_supported_voltage" },
	{ 0x129ce929, "regulator_get_current_limit" },
	{ 0x5b96cb98, "regulator_enable" },
	{ 0xf28a09f6, "dma_alloc_attrs" },
	{ 0xc2a55c42, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc610db3d, "dma_map_page_attrs" },
	{ 0x3c3eb793, "devm_kfree" },
	{ 0x952139fe, "mmc_regulator_get_supply" },
	{ 0x2eb1f822, "dma_max_mapping_size" },
	{ 0x37b36d5a, "dma_set_mask" },
	{ 0xe153184f, "dma_set_coherent_mask" },
	{ 0x46b452a3, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd626322f, "mmc_detect_change" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf0a572e8, "sg_miter_start" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x24be475c, "__dma_sync_sg_for_cpu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x62a067b8, "mmc_command_done" },
	{ 0x5c9ace47, "sdio_signal_irq" },
	{ 0xd84f7f7b, "sg_miter_next" },
	{ 0x1b932044, "sg_miter_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xfb0d20e5, "param_ops_uint" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "F7E2BC1EC3453CAF9EDC791");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
