#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nanddev_isbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_markbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_isreserved, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_erase, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_max_bad_blocks, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_update, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_get_block_status, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_set_block_status, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_prepare_io_req, "", "");
KSYMTAB_FUNC(nand_ecc_finish_io_req, "", "");
KSYMTAB_FUNC(nand_get_small_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_hamming_ooblayout, "_gpl", "");
KSYMTAB_FUNC(of_get_nand_ecc_user_config, "", "");
KSYMTAB_FUNC(nand_ecc_is_strong_enough, "", "");
KSYMTAB_FUNC(nand_ecc_init_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_cleanup_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_tweak_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_restore_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_get_sw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_die_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_register_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_unregister_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_put_on_host_hw_engine, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_get_engine, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_get_engine, "", "");

SYMBOL_CRC(nanddev_isbad, 0x1eb3984e, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0x58fb0adf, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0xeced0a3f, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0x0077e1c1, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0x4c996b31, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x54eb376d, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0x420d2e46, "_gpl");
SYMBOL_CRC(nanddev_init, 0x822ed9a9, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0xa056c9ae, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0x369d7996, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0x11bb58ac, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0x456bff66, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0xb61eb437, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0x99d6b46f, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0x41f2a4f7, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0xd6f7fa7b, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0x562c9958, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0xb6b7f5bb, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0xc6fd3f69, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0x1854b5b4, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0xff736021, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0x7f4feb49, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0xa71b3294, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0x5709c6bf, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0xda81bea7, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0xb202b659, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0x93a9a2c1, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0x834450a5, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0xc574c7e6, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0x70b2467c, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0x6dc9acbb, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0x80131d36, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0xbd6d0f5e, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0x63931df3, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0x0ca887a1, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0x5ac29895, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0x80f3fa8c, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0x0b152dcd, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0xb2733108, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0x0ea5ace8, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0x0beb26f5, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0x099b2e2e, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0xfc7f8144, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f8ac4e9, "mtd_ooblayout_set_eccbytes" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1c8bbb56, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd3e3481, "bch_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x561c66a7, "mtd_ooblayout_count_eccbytes" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0x443f4a7, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "C8CC18D47CCA8CBC7F50A06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
