#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x6094fc7d, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x94e52466, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92c246a7, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x22435e27, "skb_push" },
	{ 0xf28a09f6, "dma_alloc_attrs" },
	{ 0xf0ca4fca, "napi_enable" },
	{ 0x5f422495, "netif_receive_skb" },
	{ 0x9379370f, "register_netdev" },
	{ 0x680c177, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2b9074df, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe3bfacb9, "ethtool_op_get_link" },
	{ 0x724200a2, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xea664193, "pci_iounmap" },
	{ 0x572bede7, "pci_restore_state" },
	{ 0xf4c0860b, "netif_tx_wake_queue" },
	{ 0x82c91afd, "devm_hwmon_device_register_with_groups" },
	{ 0x82ce50f, "_dev_warn" },
	{ 0xe192eae0, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaa60b0a5, "__pskb_pull_tail" },
	{ 0x14ab711e, "netif_tx_lock" },
	{ 0x2882c5e1, "__netdev_alloc_skb" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe153184f, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x979e5deb, "dma_free_attrs" },
	{ 0x5c404a6b, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x21fa2785, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa91660da, "__folio_put" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3238a6b5, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20e7895f, "skb_clone" },
	{ 0xf753e4f2, "__hw_addr_sync_dev" },
	{ 0x797c2b1f, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e987b57, "netif_carrier_on" },
	{ 0xdf9b2bdd, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcf9c8622, "alloc_pages_noprof" },
	{ 0x679339ed, "pci_disable_device" },
	{ 0x37b36d5a, "dma_set_mask" },
	{ 0xb2f4a3e5, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xd83e5953, "napi_schedule_prep" },
	{ 0x6049c11d, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0xcecf0238, "napi_disable" },
	{ 0x1b3f4367, "dev_kfree_skb_any_reason" },
	{ 0xaf98d29f, "_dev_printk" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x35df1d0a, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50083523, "pci_write_config_dword" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0x5b7dfe46, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7429ba6a, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x6a892e47, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5fd0754b, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x44f794da, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbd745870, "skb_copy_bits" },
	{ 0xfb0d20e5, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x879b4edc, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xecaeacb4, "param_ops_ushort" },
	{ 0x594b88c, "consume_skb" },
	{ 0x5c261cab, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd433ee03, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x37b66cd5, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa5c8d7a0, "ndo_dflt_bridge_getlink" },
	{ 0x935bb89b, "unregister_netdev" },
	{ 0x77f34a48, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x71ee784f, "dma_unmap_page_attrs" },
	{ 0xe45b1577, "request_firmware" },
	{ 0xaed0ecf4, "__pci_register_driver" },
	{ 0x521bdbb5, "pci_num_vf" },
	{ 0x1a4a8726, "pci_request_regions" },
	{ 0xffe62f3d, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xe24e6a14, "pci_sriov_get_totalvfs" },
	{ 0xcda162e4, "pcpu_hot" },
	{ 0xb1795104, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9e6f0e2, "udp_tunnel_nic_ops" },
	{ 0xa87d3ba4, "__netif_napi_del" },
	{ 0xb37edeed, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x9a9f68b8, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe261c261, "pskb_expand_head" },
	{ 0x46b452a3, "dev_driver_string" },
	{ 0xc3d447f2, "dev_addr_mod" },
	{ 0x857832a8, "eth_type_trans" },
	{ 0x5c44fe04, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc610db3d, "dma_map_page_attrs" },
	{ 0x80965ca9, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xefc1f0ac, "__napi_schedule" },
	{ 0x4260ed3a, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x4abd5753, "netif_device_detach" },
	{ 0x5a18b790, "__hw_addr_unsync_dev" },
	{ 0x87094057, "_dev_info" },
	{ 0x3d2384, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xaf13f696, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf26994e8, "_dev_err" },
	{ 0x181619b, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa9c43592, "netif_set_real_num_tx_queues" },
	{ 0x3a88aadb, "sk_skb_reason_drop" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8F19807B53974A8F11B3ED8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
