#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0x6db1684f, "");
SYMBOL_CRC(prestera_device_unregister, 0x3663b5e6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x857832a8, "eth_type_trans" },
	{ 0x3e4caf1e, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc610db3d, "dma_map_page_attrs" },
	{ 0x80965ca9, "napi_complete_done" },
	{ 0x66acbe5d, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x13b63dcb, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xefc1f0ac, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xdce5e300, "__alloc_skb" },
	{ 0xab9dda49, "switchdev_bridge_port_offload" },
	{ 0x874547f7, "flow_block_cb_incref" },
	{ 0x999077b, "flow_rule_match_ports_range" },
	{ 0x87094057, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6f3db1d1, "free_fib_info" },
	{ 0x40299159, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x1f46f1ee, "vlan_dev_real_dev" },
	{ 0xc49aac97, "__dev_get_by_index" },
	{ 0x79953729, "devlink_port_unregister" },
	{ 0xf26994e8, "_dev_err" },
	{ 0xaae0d8e9, "init_net" },
	{ 0xb2a0d9db, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3a88aadb, "sk_skb_reason_drop" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x937750d5, "flow_block_cb_decref" },
	{ 0x22435e27, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xf0ca4fca, "napi_enable" },
	{ 0x9379370f, "register_netdev" },
	{ 0x7ae0e6e3, "unregister_fib_notifier" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x680c177, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe3bfacb9, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x2e1f0023, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0x82ce50f, "_dev_warn" },
	{ 0xc4493f5d, "flow_rule_match_ports" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaa60b0a5, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x5ba667f1, "devlink_trap_report" },
	{ 0x3f55ae75, "__neigh_event_send" },
	{ 0x12e7d48f, "flow_block_cb_alloc" },
	{ 0x50c22e04, "switchdev_handle_port_obj_add" },
	{ 0x2933c599, "fib_alias_hw_flags_set" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb4bc512, "phylink_pcs_change" },
	{ 0xcb8e6dae, "__neigh_create" },
	{ 0xbd99b851, "netdev_walk_all_upper_dev_rcu" },
	{ 0x5616ce51, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x98d268c8, "alloc_netdev_dummy" },
	{ 0x29a0a798, "neigh_destroy" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xf734208d, "br_multicast_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf32fc010, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc080f515, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xc99957cc, "netdev_master_upper_dev_get_rcu" },
	{ 0xf81de2b2, "devlink_traps_register" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0x4203f946, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3238a6b5, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xeb799943, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf09e4153, "devlink_priv" },
	{ 0x63ca36f7, "devlink_port_register_with_ops" },
	{ 0x3e987b57, "netif_carrier_on" },
	{ 0x898898a2, "netdev_has_any_upper_dev" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x186766a3, "devlink_trap_groups_register" },
	{ 0x7c3f9ee9, "arp_tbl" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0x4552da9f, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb776962c, "netdev_walk_all_lower_dev" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xd83e5953, "napi_schedule_prep" },
	{ 0x71190974, "__fib_lookup" },
	{ 0xcecf0238, "napi_disable" },
	{ 0x1b3f4367, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x33256b6a, "devlink_trap_groups_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4224e712, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xcb5d8cd3, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7429ba6a, "alloc_etherdev_mqs" },
	{ 0x31e10580, "netdev_lower_get_next" },
	{ 0x9d329406, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb7455ded, "br_vlan_enabled" },
	{ 0x5fd0754b, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xbfa70f08, "devlink_unregister" },
	{ 0x7406cb92, "dma_pool_create" },
	{ 0xf29e4fc8, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb1631ff5, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ef446c6, "register_fib_notifier" },
	{ 0xa8a9f444, "l3mdev_fib_table_rcu" },
	{ 0xd433ee03, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x935bb89b, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x71ee784f, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xa860b7a6, "flow_rule_match_eth_addrs" },
	{ 0xd29dc66, "devlink_port_attrs_set" },
	{ 0x9ff50e42, "flow_block_cb_priv" },
	{ 0xef228224, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7c6de3f, "devlink_alloc_ns" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x629af6c8, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xcda162e4, "pcpu_hot" },
	{ 0x2d051ac6, "devlink_free" },
	{ 0x7a8f5516, "netdev_warn" },
	{ 0x823af270, "flow_rule_match_ipv4_addrs" },
	{ 0xa87d3ba4, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x72af85b6, "fib_table_lookup" },
	{ 0x65019b92, "skb_pull_rcsum" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbc75196f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe261c261, "pskb_expand_head" },
	{ 0xe6642760, "switchdev_handle_port_attr_set" },
	{ 0x44a6b0f3, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x46b452a3, "dev_driver_string" },
	{ 0xc3d447f2, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "DEE6411BEDB481D2499FF15");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
