#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xb36a93ab, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x7abc81da, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x89ee5142, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x4ef4e6e4, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xd4b1f139, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xbb0b03c1, "");
SYMBOL_CRC(mlx5_cmd_check, 0xb2446b2a, "");
SYMBOL_CRC(mlx5_cmd_do, 0x525c645d, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x4760a4e2, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x80da3880, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x5be6fe9c, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x5b9c1bac, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xa518aad1, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xba8fe47d, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xa0dfe0e9, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0xef1fe508, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xbb32a9b4, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xec2a6e8f, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x265b2e8b, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x321bb2ab, "");
SYMBOL_CRC(mlx5_eq_enable, 0x6909c0c7, "");
SYMBOL_CRC(mlx5_eq_disable, 0x9899af01, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xe11d66ba, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0xec42e33e, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xa1b868fc, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x6b4f4b73, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x1c0b565c, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x57eeaeb1, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x4f239bfb, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xdf4e00e9, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x8020054f, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xb2670bb7, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x37d39a26, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xd24644c0, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x02e6272e, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xeddebccd, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x282dd089, "");
SYMBOL_CRC(mlx5_create_cq, 0x0cf7ce62, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x18840726, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x17b02d83, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xa518adde, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x4edca828, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x15c71999, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x5d67b891, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x89cb7a69, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x92275396, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xb9881c1b, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x13cd5865, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xa74644ad, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xdd94354a, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x5393f3be, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x6a2d7f9e, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x1e80d2c3, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x6570bc67, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xb8754762, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x52e1fb9c, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x7a60a07c, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x32aa8036, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x55695134, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xa0f3b024, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x08c04f17, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xe0368bcd, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x47a480b7, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x9c0831cb, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x9d5542d6, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xd3355ddc, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xfe76fd45, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0xf48962b7, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x0783a21a, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x0b169a83, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xadbd04d6, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x0d342a6d, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xffaf1106, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0xc81d4ad1, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xa0c5647c, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x17b0efac, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xeec79c6c, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x35ff4c81, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xc7fd6907, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x175a601d, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x870d0654, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x513539ab, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x3ed5583d, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xbe3f06b9, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x84e5f11f, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xf68fe9b3, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x25a33354, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x891d20a7, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x340e475c, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x78ec1ff4, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x69416bfc, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x3be6af06, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xf7449b42, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x366c0701, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x21cf7786, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xeec3e30d, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xb9437550, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0xcdae5972, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x1dca9b58, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xab30b7f8, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xd22229d6, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x0a47cfd0, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x50307e4f, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xcf9d1c7f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x1a59c5ef, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xcdca65f1, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xe5511730, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x4d5ffa5b, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xfa50c3fa, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xe96ee921, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xb7035a81, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x79896d13, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x5521faa6, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xdc2e3851, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x80b3fe56, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x3b34e0c2, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x37e1f208, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xe6b09f03, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xcbe946ff, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x31e2a611, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x3f75db10, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x0b4c7d0a, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xa828518a, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x4d599eea, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x5819dd78, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x260c6416, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xdeb86a3b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x7c0c13ee, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x972e8e92, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x6807eaa5, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x42ddb52e, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x2f2ba5e6, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xdcdf4a4d, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xcef6752b, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0xcabf4e04, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x4e56174d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x878ca58d, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x2cfba6f8, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xeb99c100, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0xfc4f54a3, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xb289d067, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x589fd22b, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xa1fcf440, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xbf261fa5, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xbc45f24a, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x2d000e25, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0xe3b1faa3, "");
SYMBOL_CRC(mlx5_fc_create, 0x0e14367f, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xa2ed6451, "");
SYMBOL_CRC(mlx5_fc_query, 0x5acbc72b, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xb8f71ec9, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xe942eed7, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x50a674c4, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x5c5e4189, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x8317816c, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x79eb3370, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x46372787, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x068ca6fd, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x12a9b0e2, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x93d7a55e, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x1a01c268, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x05bdcd41, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x511b27fd, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x97f385e1, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xeb4f9789, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x31e28073, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xba319fd6, "");
SYMBOL_CRC(mlx5_notifier_register, 0x5a0edd81, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x849169db, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x0628acc2, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x78c76891, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x430c22cc, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x2f930205, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x12543cc6, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x9c87ee7e, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0xe8b7a127, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x5f88b0df, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x44a05f86, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x41a316e4, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xf05c04fe, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0xedb4e845, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x8958e0b5, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x254f1e14, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x204c5776, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x8c5ba9d7, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x5abf49b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xa1cb1603, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0xfbc2cd36, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xc344f172, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xce96b757, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x623975f2, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x4d7546fa, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0xe0b31577, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xa06cb85e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0xf8a74d4c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x2247af55, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x15beb3e8, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x83f05405, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x9f9df97c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x62544a84, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x82ccd32d, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0xafa31d3c, "");
SYMBOL_CRC(mlx5_wc_support_get, 0xc7a43151, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xdf11bfa5, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xa6dd07bd, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x91d15c46, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xe8b9e1ce, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x511f2067, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x2c4074e9, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x31badb00, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x5af13429, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0xdb43297b, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x710cf290, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x99099a77, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xebb08683, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x2daf4ba0, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xfb97969e, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x500843b3, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xbabe8bbd, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x39c3424b, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x4ffad8f2, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xcf1cfdee, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x329a64e4, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xc5358b04, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x1b3b33af, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x51947115, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x52d6e255, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x77b70db9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe3bfacb9, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x724200a2, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7d57a50a, "__ethtool_get_link_ksettings" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3a5d7e50, "__SCK__tp_func_xdp_exception" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x572bede7, "pci_restore_state" },
	{ 0xc3281e0c, "bpf_trace_run1" },
	{ 0xf5e314b1, "__inet6_lookup_established" },
	{ 0xf4c0860b, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x7af165ab, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xee29e469, "page_pool_create" },
	{ 0x25538852, "skb_checksum" },
	{ 0x7abc2fa8, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x82ce50f, "_dev_warn" },
	{ 0xc4493f5d, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0xbbb02369, "__kmalloc_cache_node_noprof" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x2e16c7f5, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6eb6abce, "devl_resources_unregister" },
	{ 0xcd0ac41a, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xa996e909, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0xe192eae0, "pci_set_master" },
	{ 0x5ae0c29b, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa1b8c44, "debugfs_create_u32" },
	{ 0x58282fae, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa9b96883, "flow_rule_match_ipv6_addrs" },
	{ 0xa566b536, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x178161a4, "devl_params_unregister" },
	{ 0x133c99f0, "ptp_clock_unregister" },
	{ 0xaa60b0a5, "__pskb_pull_tail" },
	{ 0x781f3e20, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x2882c5e1, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x5ba667f1, "devlink_trap_report" },
	{ 0x7c4d8b1a, "__kmem_cache_create_args" },
	{ 0x3f55ae75, "__neigh_event_send" },
	{ 0x12e7d48f, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x5c55e312, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd7e52a2b, "devl_traps_register" },
	{ 0xa47e46ca, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x675c38af, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe153184f, "dma_set_coherent_mask" },
	{ 0xcb8e6dae, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x5616ce51, "pv_ops" },
	{ 0xb87a21b4, "flow_rule_match_enc_control" },
	{ 0x7126922c, "bpf_trace_run3" },
	{ 0xab71e8b6, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x973202fb, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x6b5207f8, "debugfs_create_file" },
	{ 0xcbca1af8, "rps_may_expire_flow" },
	{ 0xafdd316, "metadata_dst_free" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x9107beaa, "xsk_set_tx_need_wakeup" },
	{ 0x9b60f0e0, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf097c426, "netdev_reset_tc" },
	{ 0x29a0a798, "neigh_destroy" },
	{ 0x979e5deb, "dma_free_attrs" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xf0b2406b, "trace_event_buffer_reserve" },
	{ 0x4f32d4da, "pci_reset_bus" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x500dd8d9, "debugfs_create_x32" },
	{ 0x88774e3e, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1ab569f7, "flow_rule_match_enc_ports" },
	{ 0xa9f375aa, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x21fa2785, "pci_release_regions" },
	{ 0x3de5e794, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf32fc010, "__dma_sync_single_for_device" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x4c60c19, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xcf2649db, "devl_assert_locked" },
	{ 0x72aafcf9, "pcie_print_link_status" },
	{ 0xaff4f6ba, "xp_set_rxq_info" },
	{ 0xc080f515, "flow_rule_match_vlan" },
	{ 0x394eac69, "devl_port_unregister" },
	{ 0xdec62426, "xdp_rxq_info_unreg" },
	{ 0x49f7e9ce, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x98b0682e, "devl_param_driverinit_value_get" },
	{ 0x9c60ec30, "napi_build_skb" },
	{ 0xc99957cc, "netdev_master_upper_dev_get_rcu" },
	{ 0xfb3a5aea, "__xdp_rxq_info_reg" },
	{ 0x5fe318b9, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0x4203f946, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8aeb2ef4, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xbec10d8a, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3238a6b5, "netif_carrier_off" },
	{ 0xec0d1f0c, "seq_printf" },
	{ 0xeb799943, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf09e4153, "devlink_priv" },
	{ 0x34dfc2ee, "pci_enable_ptm" },
	{ 0x63ca36f7, "devlink_port_register_with_ops" },
	{ 0x797c2b1f, "pci_disable_sriov" },
	{ 0x5be8a4e2, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x613d84bf, "dst_release" },
	{ 0x3e987b57, "netif_carrier_on" },
	{ 0xeefa3f43, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x14d20d15, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0x7c3f9ee9, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcf9c8622, "alloc_pages_noprof" },
	{ 0x679339ed, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x2f229562, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xc222aca, "page_pool_update_nid" },
	{ 0x38e340b5, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x37b36d5a, "dma_set_mask" },
	{ 0xaa1aa739, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb2f4a3e5, "netif_set_tso_max_size" },
	{ 0x5325b6a6, "vlan_dev_vlan_id" },
	{ 0x9eacb637, "__skb_flow_dissect" },
	{ 0xe33a20e6, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7ce75e42, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa35082f9, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xe483f3e6, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x73f67a1f, "skb_coalesce_rx_frag" },
	{ 0x7474a01e, "xp_raw_get_data" },
	{ 0xbd1fc888, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0xd83e5953, "napi_schedule_prep" },
	{ 0x65ee82ad, "qdisc_reset" },
	{ 0x5261414c, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xe561b715, "xp_alloc_batch" },
	{ 0x278367dd, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0xcecf0238, "napi_disable" },
	{ 0x1b3f4367, "dev_kfree_skb_any_reason" },
	{ 0x3633af79, "dcb_ieee_delapp" },
	{ 0xe1f006b, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x36857a6, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x762f4761, "debugfs_create_u8" },
	{ 0xb96f67aa, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x247e23a0, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xbf2b13ac, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xec9d805f, "skb_ext_add" },
	{ 0xb5f1e7e8, "pcie_bandwidth_available" },
	{ 0x5e6f16d6, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x4224e712, "flow_rule_match_control" },
	{ 0x63c6cf6d, "flow_rule_match_ip" },
	{ 0x35df1d0a, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x842e5f14, "auxiliary_device_sysfs_irq_add" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x5afe9f6, "dcb_ieee_setapp" },
	{ 0x74d89c85, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa3fd27a, "xsk_tx_release" },
	{ 0xbfe28423, "devl_traps_unregister" },
	{ 0x55fc9b8d, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x50083523, "pci_write_config_dword" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x5b7dfe46, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xcb5d8cd3, "neigh_lookup" },
	{ 0x83a771ba, "kmem_cache_destroy" },
	{ 0xf6144f6c, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x68e232ca, "__tracepoint_xdp_exception" },
	{ 0x959e0a3a, "__inet_lookup_established" },
	{ 0x29080f37, "xsk_tx_completed" },
	{ 0x1a8085fb, "napi_alloc_skb" },
	{ 0x7429ba6a, "alloc_etherdev_mqs" },
	{ 0x31e10580, "netdev_lower_get_next" },
	{ 0x46d4c460, "secpath_set" },
	{ 0x9d329406, "flow_block_cb_lookup" },
	{ 0x6a892e47, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8b997f85, "devl_rate_leaf_create" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x2d2f8b3d, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x800e601, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x55eae77, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc415a762, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbfcece51, "bpf_prog_put" },
	{ 0x2daa2096, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0xd92eacff, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc22c7e34, "pci_cfg_access_unlock" },
	{ 0x9c8004e7, "xp_dma_map" },
	{ 0xefe9b531, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xbfa70f08, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xbd745870, "skb_copy_bits" },
	{ 0x89d138c9, "debugfs_attr_write" },
	{ 0x7406cb92, "dma_pool_create" },
	{ 0xfb0d20e5, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5648d05a, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x879b4edc, "pci_enable_device" },
	{ 0xf29e4fc8, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xbb585e06, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb1631ff5, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x63629782, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6ef446c6, "register_fib_notifier" },
	{ 0xfd8d6604, "auxiliary_device_init" },
	{ 0x9b6c5acf, "ip6_dst_hoplimit" },
	{ 0xea182e49, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x29d4dc48, "flow_rule_match_enc_ip" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xafe6f645, "pci_alloc_irq_vectors" },
	{ 0xd433ee03, "netif_napi_add_weight" },
	{ 0x9354c6cf, "pci_enable_atomic_ops_to_root" },
	{ 0xefc2e2b7, "seq_release" },
	{ 0x1c90479, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x6a069c0e, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xa8070d22, "xsk_clear_tx_need_wakeup" },
	{ 0xbe212a2b, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0xb19ed84a, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0xaac2262e, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa5c8d7a0, "ndo_dflt_bridge_getlink" },
	{ 0x935bb89b, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xf5b2ec75, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc3e667c3, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x63a9e0c6, "flow_rule_match_tcp" },
	{ 0x8bde4e30, "__kmalloc_node_noprof" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xfd74bfa5, "register_netdevice_notifier_dev_net" },
	{ 0x71ee784f, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xda287eb0, "trace_event_printf" },
	{ 0x405742d7, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa20fc361, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xaed0ecf4, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x7ef6ff72, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x521bdbb5, "pci_num_vf" },
	{ 0xb6bd0ab4, "debugfs_create_atomic_t" },
	{ 0xa860b7a6, "flow_rule_match_eth_addrs" },
	{ 0x71fd113, "pci_disable_ptm" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x704296bd, "xfrm_state_check_expire" },
	{ 0xd29dc66, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf3d0e9a, "ptp_clock_index" },
	{ 0x1a4a8726, "pci_request_regions" },
	{ 0xffe62f3d, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xf8caf98c, "trace_event_raw_init" },
	{ 0xef228224, "flow_block_cb_free" },
	{ 0x3c24ef9a, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0x444d3f7, "xp_can_alloc" },
	{ 0x7c1e4714, "psample_sample_packet" },
	{ 0xea670c8e, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7c6de3f, "devlink_alloc_ns" },
	{ 0xd6cc87b9, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xe24e6a14, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x629af6c8, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xfb047088, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xcda162e4, "pcpu_hot" },
	{ 0xcad72141, "seq_lseek" },
	{ 0x9b88a26f, "page_pool_destroy" },
	{ 0xa1e17f2c, "xdp_do_redirect" },
	{ 0x2d051ac6, "devlink_free" },
	{ 0xb24454ac, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8fc2563a, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x7a8f5516, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x9e6f0e2, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x516a029f, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x276808c, "pci_irq_vector" },
	{ 0x823af270, "flow_rule_match_ipv4_addrs" },
	{ 0xff44be0c, "ip_route_output_flow" },
	{ 0xa87d3ba4, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2ebce905, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6702e85a, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x9a9f68b8, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbc75196f, "netdev_err" },
	{ 0x4ec7d04f, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x81444f68, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x46b452a3, "dev_driver_string" },
	{ 0x76536a53, "netdev_port_same_parent_id" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x4f10b01b, "trace_event_buffer_commit" },
	{ 0xc3d447f2, "dev_addr_mod" },
	{ 0x5a98ea8e, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xd769fc5d, "ptp_find_pin" },
	{ 0x857832a8, "eth_type_trans" },
	{ 0x5c44fe04, "pci_read_config_dword" },
	{ 0x13a34659, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x3e4caf1e, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6d1a8c57, "auxiliary_driver_unregister" },
	{ 0xc610db3d, "dma_map_page_attrs" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x80965ca9, "napi_complete_done" },
	{ 0xb6893e2d, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x48050cf6, "devlink_port_attrs_pci_vf_set" },
	{ 0x13b63dcb, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x3e1e5fdb, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1c8bbb56, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0xefc1f0ac, "__napi_schedule" },
	{ 0xaa8a64b0, "devlink_port_health_reporter_create" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x907f2665, "pcie_relaxed_ordering_enabled" },
	{ 0xfb77ea9c, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x94511032, "devlink_port_attrs_pci_pf_set" },
	{ 0xe65fe02b, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x4abd5753, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x90c2148a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa3782053, "__free_pages" },
	{ 0x87094057, "_dev_info" },
	{ 0xdfadd2fe, "skb_vlan_pop" },
	{ 0xd492697a, "napi_gro_receive" },
	{ 0x3d2384, "netif_device_attach" },
	{ 0x49488779, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x4b1249fe, "netdev_pick_tx" },
	{ 0x1b1321bf, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb1dc822, "xp_raw_get_dma" },
	{ 0xe1ff3a56, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x9c5c57f6, "xdp_rxq_info_is_reg" },
	{ 0x92225f72, "flow_rule_match_enc_opts" },
	{ 0xc2c5802, "work_busy" },
	{ 0x55061d09, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x6f3db1d1, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x82bd30b6, "devl_health_reporter_create" },
	{ 0xf25c9d07, "flow_block_cb_setup_simple" },
	{ 0x33b65d45, "pci_msix_can_alloc_dyn" },
	{ 0x40299159, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xaa9659c5, "unregister_netdevice_notifier_dev_net" },
	{ 0x5d19545d, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x43ea641e, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5ef88a24, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x94d13b99, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x1f46f1ee, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xaf13f696, "__dma_sync_single_for_cpu" },
	{ 0xc566bdb2, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc49aac97, "__dev_get_by_index" },
	{ 0xaa898f90, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x79953729, "devlink_port_unregister" },
	{ 0x9c32e7f6, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf26994e8, "_dev_err" },
	{ 0xaae0d8e9, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x181619b, "softnet_data" },
	{ 0x8019c01c, "ipv6_stub" },
	{ 0xbe40efe2, "simple_open" },
	{ 0xb2a0d9db, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xc9b10276, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd9770afd, "simple_attr_release" },
	{ 0x9682167f, "ptp_clock_register" },
	{ 0xe1443e55, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x9baaa9ad, "xsk_tx_peek_desc" },
	{ 0x1d05038a, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xa9c43592, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3a88aadb, "sk_skb_reason_drop" },
	{ 0x172fd753, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xcc7dfd63, "irq_get_irq_data" },
	{ 0xb43f1397, "dev_remove_pack" },
	{ 0x92c246a7, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x7eacc4ab, "dev_get_by_index" },
	{ 0x94cf4ef, "bpf_trace_run5" },
	{ 0xaa8ae1cd, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xe61ff2f1, "skb_store_bits" },
	{ 0xd1bdbdcd, "devl_port_register_with_ops" },
	{ 0xe794f12e, "dev_get_by_index_rcu" },
	{ 0xe72e7f68, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf0c053be, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x22435e27, "skb_push" },
	{ 0x7769ef67, "kmem_cache_free" },
	{ 0xf28a09f6, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xf118073f, "debugfs_remove" },
	{ 0x9ef0e707, "pci_read_config_word" },
	{ 0xf0ca4fca, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc2775914, "xsk_clear_rx_need_wakeup" },
	{ 0xe6d8b7d8, "seq_putc" },
	{ 0x3ffab13a, "unregister_netdevice_notifier_net" },
	{ 0xbb4819e7, "auxiliary_device_sysfs_irq_remove" },
	{ 0x82eb9fd2, "xsk_uses_need_wakeup" },
	{ 0x9379370f, "register_netdev" },
	{ 0x7ae0e6e3, "unregister_fib_notifier" },
	{ 0xa5025594, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xdbf71f8a, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x35aec8e9, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x680c177, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x4296cc97, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x587b8010, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xac121fcc, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,tls,psample,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "223B6AC2751A5EED8504B63");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
