#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ks8851_suspend, "_gpl", "");
KSYMTAB_FUNC(ks8851_resume, "_gpl", "");
KSYMTAB_FUNC(ks8851_probe_common, "_gpl", "");
KSYMTAB_FUNC(ks8851_remove_common, "_gpl", "");

SYMBOL_CRC(ks8851_suspend, 0xb0dddd6f, "_gpl");
SYMBOL_CRC(ks8851_resume, 0x3633a0b3, "_gpl");
SYMBOL_CRC(ks8851_probe_common, 0xb9d934c2, "_gpl");
SYMBOL_CRC(ks8851_remove_common, 0xae85da2f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x939ff840, "netif_rx" },
	{ 0xd5127fd6, "mii_check_link" },
	{ 0x2882c5e1, "__netdev_alloc_skb" },
	{ 0xf29e4fc8, "skb_put" },
	{ 0x857832a8, "eth_type_trans" },
	{ 0xf4c0860b, "netif_tx_wake_queue" },
	{ 0xbc75196f, "netdev_err" },
	{ 0x7e177d49, "devm_gpiod_get_optional" },
	{ 0x939ff0c2, "gpiod_set_consumer_name" },
	{ 0xd7b2ba95, "devm_regulator_get" },
	{ 0x5b96cb98, "regulator_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x601b9b9b, "gpiod_set_value_cansleep" },
	{ 0x2017f219, "regulator_disable" },
	{ 0xf26994e8, "_dev_err" },
	{ 0x87094057, "_dev_info" },
	{ 0x316d5395, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x99651cc0, "__mdiobus_register" },
	{ 0x3238a6b5, "netif_carrier_off" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdd9b2cf0, "mdiobus_unregister" },
	{ 0xb3a29e18, "mdiobus_free" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc3d447f2, "dev_addr_mod" },
	{ 0x9379370f, "register_netdev" },
	{ 0x7a8f5516, "netdev_warn" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x935bb89b, "unregister_netdev" },
	{ 0x4b0b05dc, "eeprom_93cx6_multiread" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3d2384, "netif_device_attach" },
	{ 0xb1795104, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x675c38af, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x374763da, "skb_dequeue" },
	{ 0x594b88c, "consume_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x5b7dfe46, "netdev_info" },
	{ 0x4abd5753, "netif_device_detach" },
	{ 0x7827bf7, "generic_mii_ioctl" },
	{ 0x3631753a, "mii_ethtool_set_link_ksettings" },
	{ 0xa5245b2e, "mii_ethtool_get_link_ksettings" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x32952d32, "eeprom_93cx6_wren" },
	{ 0xa51e8d0d, "eeprom_93cx6_read" },
	{ 0xd848391b, "eeprom_93cx6_write" },
	{ 0x5fb2ad5b, "mii_link_ok" },
	{ 0x7fd93d4d, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "mii,libphy,eeprom_93cx6");


MODULE_INFO(srcversion, "A4AB64D5ADB8E139380B616");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
