#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_aspm_supported, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0xe0cbd6aa, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x40885c71, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xaef0700d, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xb9af473b, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x0123f63b, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x243aa620, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x219aa170, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0x61cb56b3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xf8953e34, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x8c2f72c4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0xa47e34e3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xfe6b98d3, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xb5b9caf2, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0xa827b845, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xea100f20, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0xf139925d, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x61dd8fc3, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x3bde5ca1, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x7ac88a4e, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x5844372b, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x51c8ba96, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x9f9d3e88, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x4aadb603, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0xf5159cb1, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x1543aeab, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xd8d1ecc0, "_gpl");
SYMBOL_CRC(mt76_free_device, 0xf041bebf, "_gpl");
SYMBOL_CRC(mt76_rx, 0x9e978fb6, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x72439ac3, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0xe266880e, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x13aff88d, "_gpl");
SYMBOL_CRC(mt76_update_channel, 0xd01a1546, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xff600e30, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x99e4ab6a, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x17c57b3e, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xc343ea87, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x1ed0d87a, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x0e68fe46, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x652da558, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0xaabe7dea, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x78932c33, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x64a7345b, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x37658e65, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0x1361719e, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x42c1f236, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x9176dd3c, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0xa09bc536, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x48f54ec7, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xbd643f22, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0xe4624914, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0xcee7627a, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x1464a273, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x2a4011e9, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x4ca2254a, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x3652a083, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0xcdbbb48b, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x36831157, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x3a8dbd53, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0xc7f4c4bc, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0x5d7eb9be, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0xa2837423, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0xd36d239e, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0xc8f94043, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0xe6b934d2, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xf462edde, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0xddb579bb, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x27034261, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xbe8ff151, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x8c62f891, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xd53078a5, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x424c2e3f, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xc02267cf, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x6c00a24c, "_gpl");
SYMBOL_CRC(mt76_tx, 0x236e4d0b, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x59c4f81c, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0xe7d9dd40, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x48e278ca, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x2e95fc75, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x2d9de3d1, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x7b0e9e89, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0xc2134bd3, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xd708630b, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x2d40c16e, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0xd6fdce42, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x6cb063b1, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x7fe72bb1, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x856d0aed, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0xcf6fce05, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0xbc1d6187, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x86f1e926, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0xb6d02cc9, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x5f30ae87, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0xd7d3851a, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x48678ef7, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x6054efb3, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0xc8d03d11, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0xd4f7ea83, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x88ba539b, "_gpl");
SYMBOL_CRC(mt76_pci_aspm_supported, 0x035220ab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3eec5231, "ieee80211_tx_status_ext" },
	{ 0x74d6387d, "debugfs_create_blob" },
	{ 0xf8caf98c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcda162e4, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x9b88a26f, "page_pool_destroy" },
	{ 0xf21dc1d6, "ieee80211_register_hw" },
	{ 0x8e55267d, "led_classdev_unregister" },
	{ 0xb4ebde60, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x5b67576f, "ieee80211_sta_eosp" },
	{ 0x1734cd06, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa87d3ba4, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc4b30871, "kthread_park" },
	{ 0x8d82e98e, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd00e32b8, "wake_up_process" },
	{ 0x46b452a3, "dev_driver_string" },
	{ 0x4f10b01b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc610db3d, "dma_map_page_attrs" },
	{ 0x80965ca9, "napi_complete_done" },
	{ 0xb10dad0a, "ieee80211_get_tx_rates" },
	{ 0xf6060c12, "ieee80211_send_bar" },
	{ 0x8f8e6dee, "cfg80211_reg_check_beaconing" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x1569940e, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3e7a3e0c, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xdce5e300, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x90c2148a, "const_pcpu_hot" },
	{ 0xe73b40f4, "pci_disable_link_state" },
	{ 0x87094057, "_dev_info" },
	{ 0xd492697a, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x4361d899, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0xa38f2fa0, "kthread_unpark" },
	{ 0xc7d2b9f8, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x5ef88a24, "debugfs_attr_read" },
	{ 0xaf13f696, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x435e9316, "ieee80211_queue_delayed_work" },
	{ 0xb22c57ff, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xaa898f90, "perf_trace_run_bpf_submit" },
	{ 0xf26994e8, "_dev_err" },
	{ 0x1a439aca, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xd9770afd, "simple_attr_release" },
	{ 0x29df4934, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4d909aba, "ieee80211_find_sta_by_ifaddr" },
	{ 0x21d1e5e1, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf0c053be, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x22435e27, "skb_push" },
	{ 0xf0ca4fca, "napi_enable" },
	{ 0x13c0013, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xe6d8b7d8, "seq_putc" },
	{ 0xa5025594, "trace_event_reg" },
	{ 0xc3858fb3, "ieee80211_sta_pspoll" },
	{ 0x680c177, "free_netdev" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xac121fcc, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5103e140, "kthread_stop" },
	{ 0x9d99c8c4, "ieee80211_free_txskb" },
	{ 0x49e03fb4, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1780cf06, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xe85cad1e, "ieee80211_tx_dequeue" },
	{ 0x234dce86, "ieee80211_rx_list" },
	{ 0xee29e469, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa1b8c44, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x444d7b76, "kthread_create_on_node" },
	{ 0x7126922c, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x98d268c8, "alloc_netdev_dummy" },
	{ 0xf0b2406b, "trace_event_buffer_reserve" },
	{ 0x691f48a4, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf32fc010, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x32a3b848, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9c60ec30, "napi_build_skb" },
	{ 0xc6fdbda, "seq_write" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec0d1f0c, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa35082f9, "skb_add_rx_frag_netmem" },
	{ 0x42c9a3f7, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x762f4761, "debugfs_create_u8" },
	{ 0xbf2b13ac, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x800e601, "pcie_capability_read_word" },
	{ 0x5fd0754b, "__skb_pad" },
	{ 0x2daa2096, "page_pool_get_stats" },
	{ 0xd92eacff, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9453cbd0, "__ieee80211_schedule_txq" },
	{ 0x89d138c9, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc2a55c42, "devm_kmalloc" },
	{ 0xf29e4fc8, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x88b3a157, "page_pool_alloc_frag" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x594b88c, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd433ee03, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8b18e144, "dmam_alloc_attrs" },
	{ 0x6a069c0e, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x374763da, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc3e667c3, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4feba189, "ieee80211_free_hw" },
	{ 0x71ee784f, "dma_unmap_page_attrs" },
	{ 0x64f45db7, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xda287eb0, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "DEBEA6ECF81D53836B300C1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
