#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0xb6efbb02, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0x75f075e8, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x7fa3efe5, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x336604c2, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x25d72c67, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xecb12455, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0xed67559b, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x39494b9e, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0xda242dd2, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0xc1377709, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xc9948839, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x13c479a7, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0xb5dcc003, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x5c38e660, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xba10c70a, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x649e34d3, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x49f8191f, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0xd02c7ede, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x2ccd6caf, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xa923a8c6, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xca338c45, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0xaa470ca2, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0xc769005d, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x0cd8fac0, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x08e02144, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0xc7d3b9b7, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x05b3dc99, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xd953bc16, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0xc913dee8, "_gpl");
SYMBOL_CRC(rt2800_config, 0xba522ee7, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0xee9d8934, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0xfb94d49f, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0xbd4f51f3, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x4451dcde, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x24684a35, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0xf8ca5121, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0xce84e336, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0xbf92e0c6, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0xeaaabb56, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x29dd3ca9, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0xcd09904f, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0xdeda27ae, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x63ecfdd1, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0xcac87b23, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0x22435e27, "skb_push" },
	{ 0x1b3f4367, "dev_kfree_skb_any_reason" },
	{ 0x5fd0754b, "__skb_pad" },
	{ 0xff830a19, "rt2x00lib_txdone_noinfo" },
	{ 0x16bac1bc, "ieee80211_restart_hw" },
	{ 0xb2a0d9db, "skb_pull" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x87094057, "_dev_info" },
	{ 0x76fe0226, "rt2x00lib_set_mac_address" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0xfb0d20e5, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf26994e8, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x466d416a, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x58cb6c83, "rt2x00lib_txdone" },
	{ 0x2ebce905, "__dynamic_dev_dbg" },
	{ 0x8e183775, "rt2x00queue_get_entry" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x81dfcc5b, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe9e225b, "rt2x00mac_conf_tx" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x82ce50f, "_dev_warn" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "9E1A111AF9AF06F91AEF468");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
