#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x39b31958, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x3aeb3600, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x5802932d, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x3e1a1482, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x4eb151d2, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x8d949f38, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0xd0d2a485, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x3f6fc942, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0xcf63bbdc, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xcca312e5, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0xb7924a2e, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x9ef36e7b, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xe28fc355, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x3e367bfa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1c8bbb56, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x87094057, "_dev_info" },
	{ 0xd12e2547, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd46c105f, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf26994e8, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x3a4a204b, "device_create" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xe6d8b7d8, "seq_putc" },
	{ 0xbf24cfb6, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8a326d08, "__nvme_submit_sync_cmd" },
	{ 0xbe2d5b39, "nvme_try_sched_reset" },
	{ 0x82ce50f, "_dev_warn" },
	{ 0xa3e1bf37, "misc_register" },
	{ 0xe90e3b02, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xab71e8b6, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xc6fdbda, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0xf8c27ac5, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0xec0d1f0c, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x38e340b5, "single_release" },
	{ 0x495dae81, "nvme_wait_reset" },
	{ 0x24b95a5f, "__seq_puts" },
	{ 0x754d539c, "strlen" },
	{ 0xb96f67aa, "single_open" },
	{ 0x53b954a2, "up_read" },
	{ 0x7ee74f08, "class_register" },
	{ 0x9250165e, "nvme_tls_key_lookup" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xba513825, "nvme_auth_negotiate" },
	{ 0x8521d398, "try_module_get" },
	{ 0x64c45490, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "81693855307EBA74875FF20");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
