#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0x3bf061ee, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x083f2617, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x9d30c969, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0xbf0b65c9, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x2e2a06c2, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x99f69a44, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x10bc45c3, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x2453ce35, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x302f683e, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x8cccf5bb, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x4f9f2ecc, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x55940378, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x7e4796ea, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x3c82f5f4, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0xadb7080f, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x8fadedef, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0xfc53c569, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0xff58cb73, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0xcc6ae918, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x7d0e5045, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x17b5d022, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x17b2c26c, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x594833c8, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0xc3dc07e4, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xca9bd69e, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x3dd4c4e6, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x41b4f80d, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0xa7279a35, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0xc912852a, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x03c4e058, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x8a33aba9, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x27921bf7, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x6e785da0, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x4b34e1de, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0xfc91a963, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x24c90b75, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x8897c26c, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0xaa78a4cb, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x836ffe4c, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0xaae2a836, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x3492dbc0, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x6e03d5a6, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x89470f81, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x5ae9bb4f, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1f46f1ee, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf6b69e89, "iscsi_host_remove" },
	{ 0xbe9d5e8c, "pci_dev_put" },
	{ 0x37e21b2c, "iscsi_host_free" },
	{ 0xcbe83b39, "iscsi_host_alloc" },
	{ 0xb951bbfb, "pci_dev_get" },
	{ 0xbe52efad, "iscsi_host_add" },
	{ 0xdae75261, "scsi_host_put" },
	{ 0x3a88aadb, "sk_skb_reason_drop" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5b9f456, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c597fc0, "iscsi_conn_queue_xmit" },
	{ 0xc870c7ac, "__kfree_skb" },
	{ 0xfcf399ca, "iscsi_tcp_cleanup_task" },
	{ 0x4b050af, "cxgbi_ppm_ppod_release" },
	{ 0x3f50a537, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x2acc5ef8, "iscsi_tcp_conn_setup" },
	{ 0xfdc26276, "iscsi_session_setup" },
	{ 0xdcef5bea, "iscsi_tcp_r2tpool_alloc" },
	{ 0x25b3e21f, "iscsi_session_teardown" },
	{ 0xf18fbcb3, "iscsi_tcp_r2tpool_free" },
	{ 0x69d7101, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaf98d29f, "_dev_printk" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf6d1d49d, "iscsi_host_get_param" },
	{ 0x71632851, "iscsi_unregister_transport" },
	{ 0xcf9c8622, "alloc_pages_noprof" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x2eac0cf2, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x612801bb, "iscsi_register_transport" },
	{ 0xaae0d8e9, "init_net" },
	{ 0xbe8133b6, "ip6_route_output_flags" },
	{ 0xaee66b9c, "iscsi_tcp_set_max_r2t" },
	{ 0xeae2f3ea, "iscsi_set_param" },
	{ 0xdce5e300, "__alloc_skb" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8c47e333, "cxgbi_ppm_ppods_reserve" },
	{ 0x547830ee, "dma_map_sg_attrs" },
	{ 0xc91c30c8, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9ddedab3, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x285e22c9, "iscsi_tcp_recv_skb" },
	{ 0xb916aa43, "iscsi_lookup_endpoint" },
	{ 0x50d2f184, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x34a0d9f4, "iscsi_tcp_hdr_recv_prep" },
	{ 0xbd2db10, "iscsi_put_endpoint" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x613d84bf, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb2237465, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa91660da, "__folio_put" },
	{ 0x2b9074df, "__put_devmap_managed_folio_refs" },
	{ 0xd12e2547, "module_put" },
	{ 0x6ea677c1, "iscsi_destroy_endpoint" },
	{ 0x443a0ba, "ipv6_dev_get_saddr" },
	{ 0x29a0a798, "neigh_destroy" },
	{ 0x17f1527f, "make_kuid" },
	{ 0xff44be0c, "ip_route_output_flow" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x390e5b0d, "iscsi_create_endpoint" },
	{ 0xde3a5ce5, "__ip_dev_find" },
	{ 0xf29e4fc8, "skb_put" },
	{ 0x90c2148a, "const_pcpu_hot" },
	{ 0xcda162e4, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3b05860d, "iscsi_itt_to_ctask" },
	{ 0xfb0d20e5, "param_ops_uint" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "A1FE6C08DA5E47540AE3FD6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
