#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(__usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0xd2482750, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0xed20024c, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x56f13feb, "");
SYMBOL_CRC(usb_serial_resume, 0xeb48e43e, "");
SYMBOL_CRC(__usb_serial_register_drivers, 0x4f2e696c, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x11cac929, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x8b11d48d, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0xed42782b, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0xc8127892, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0xc8e4361b, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0x929d54ae, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x425ea265, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0xcd393bcc, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0x11a3672a, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x94be5270, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x937e2a85, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0x4c018100, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x48f23a60, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x3f80c771, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0xee9821c6, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x55d77ae2, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0xcbe55d23, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6dd386f5, "usb_get_intf" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc32655db, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x32ce0c77, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1c8bbb56, "put_device" },
	{ 0xfd8c847e, "usb_get_dev" },
	{ 0x90c2148a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x3fe644fc, "usb_submit_urb" },
	{ 0x87094057, "_dev_info" },
	{ 0x61f0de2d, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd12e2547, "module_put" },
	{ 0x1cc7fcaf, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x69fb8649, "usb_match_id" },
	{ 0x9a9ddd4b, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb7b9948f, "bus_unregister" },
	{ 0xf26994e8, "_dev_err" },
	{ 0x5b034cda, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xbb20fbf4, "tty_ldisc_ref" },
	{ 0x7b005cad, "tty_vhangup" },
	{ 0x2178f812, "__tty_insert_flip_string_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa1ddec9d, "tty_port_destroy" },
	{ 0x2b726014, "tty_port_init" },
	{ 0x39d9fd81, "usb_driver_claim_interface" },
	{ 0xe6d8b7d8, "seq_putc" },
	{ 0x6f28418c, "usb_poison_urb" },
	{ 0x7c0e5dcc, "usb_unpoison_urb" },
	{ 0x248c9506, "driver_unregister" },
	{ 0x5ebb4374, "tty_port_register_device" },
	{ 0xcb206769, "tty_ldisc_deref" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9ab3e7cf, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7af165ab, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5c54066f, "tty_port_close" },
	{ 0x82ce50f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x519268ae, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x53758acb, "tty_register_driver" },
	{ 0xc6fdbda, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0x39e08070, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe5a379ee, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec0d1f0c, "seq_printf" },
	{ 0xc4deb878, "tty_port_open" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x8aaa65c6, "driver_register" },
	{ 0xe94ce74, "tty_driver_kref_put" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0x753d5f09, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x49941ed7, "tty_port_tty_get" },
	{ 0xc9968d6b, "usb_put_intf" },
	{ 0xd02980d0, "usb_alloc_urb" },
	{ 0x4b074ca2, "usb_autopm_put_interface" },
	{ 0x8521d398, "try_module_get" },
	{ 0xc8c79527, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb6397aad, "dev_set_name" },
	{ 0xecaeacb4, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xfade1e1d, "tty_flip_buffer_push" },
	{ 0x21c3e771, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9bb68c4a, "tty_kref_put" },
	{ 0xb4bfd689, "usb_register_driver" },
	{ 0xfba6eee8, "usb_match_one_id" },
	{ 0xd27d5065, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xaaf9b11b, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x331bb211, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc17e9946, "usb_show_dynids" },
	{ 0x51595a01, "tty_hangup" },
	{ 0xf6540128, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2ebce905, "__dynamic_dev_dbg" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "F825C0AAF43902DB17F11CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
