#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x4cd39ec3, "");
SYMBOL_CRC(wpan_phy_for_each, 0xad3251e3, "");
SYMBOL_CRC(wpan_phy_new, 0x621bfcd8, "");
SYMBOL_CRC(wpan_phy_register, 0xc4682c8b, "");
SYMBOL_CRC(wpan_phy_unregister, 0xeb438d50, "");
SYMBOL_CRC(wpan_phy_free, 0xb4633913, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x3b6e3b4d, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x4aaf1c38, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x2fca0ddb, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x574fcf4d, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x3dd58f3a, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xf66c922a, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x40945e02, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x81817855, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0xca9c8224, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x6b7b1467, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x0c3ee325, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0xf013a447, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0x705f1999, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0xc4afbadc, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0xb67cd32a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d304f20, "nla_put" },
	{ 0xa5025594, "trace_event_reg" },
	{ 0xbf24cfb6, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x63679aac, "unregister_pernet_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3281e0c, "bpf_trace_run1" },
	{ 0x7af165ab, "device_del" },
	{ 0xc1b6125b, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xaa60b0a5, "__pskb_pull_tail" },
	{ 0x42d1be4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7126922c, "bpf_trace_run3" },
	{ 0xf2c109e0, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd5297a93, "get_net_ns_by_pid" },
	{ 0xf0b2406b, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x7f9206c7, "device_match_name" },
	{ 0x8ada308b, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8325f0fc, "genl_unregister_family" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf4cea1bc, "genl_register_family" },
	{ 0x11eeafba, "__dev_change_net_namespace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb83b7c7e, "register_pernet_device" },
	{ 0xe3b13188, "get_net_ns_by_fd" },
	{ 0x7ee74f08, "class_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0x7ffbc757, "class_find_device" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xefe9b531, "bpf_trace_run4" },
	{ 0xf29e4fc8, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb6397aad, "dev_set_name" },
	{ 0x157bd6b7, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6a069c0e, "trace_raw_output_prep" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xc3e667c3, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xda287eb0, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd27d5065, "device_initialize" },
	{ 0xd1607261, "genlmsg_put" },
	{ 0xf8caf98c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcda162e4, "pcpu_hot" },
	{ 0x8fc2563a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe419c8fc, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcf51e9c6, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9baf806d, "device_rename" },
	{ 0x4f10b01b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1c8bbb56, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xdce5e300, "__alloc_skb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x14419b40, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc49aac97, "__dev_get_by_index" },
	{ 0xaa898f90, "perf_trace_run_bpf_submit" },
	{ 0xaae0d8e9, "init_net" },
	{ 0xb2a0d9db, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5b034cda, "device_add" },
	{ 0x3a88aadb, "sk_skb_reason_drop" },
	{ 0x96a3e87f, "netlink_unicast" },
	{ 0x7eacc4ab, "dev_get_by_index" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x22435e27, "skb_push" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "41E7773C1AA1DB2EE13E023");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
