#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0x70d908df, "");
SYMBOL_CRC(pn_sock_unhash, 0xf05926bc, "");
SYMBOL_CRC(phonet_stream_ops, 0x9d00463e, "");
SYMBOL_CRC(pn_sock_get_port, 0x8c9a410a, "");
SYMBOL_CRC(phonet_header_ops, 0xe8906bfd, "");
SYMBOL_CRC(pn_skb_send, 0xe94c1d7e, "");
SYMBOL_CRC(phonet_proto_register, 0x430b8527, "");
SYMBOL_CRC(phonet_proto_unregister, 0x4e84d630, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1fd87ad6, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8cbd4209, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1c37e98c, "sock_register" },
	{ 0x5ff2b785, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xdce5e300, "__alloc_skb" },
	{ 0x90c2148a, "const_pcpu_hot" },
	{ 0xafe1d101, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xda946d33, "rtnl_set_sk_err" },
	{ 0x75c83bd1, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd12e2547, "module_put" },
	{ 0x3d675a56, "__sk_receive_skb" },
	{ 0xe7a85555, "sock_no_shutdown" },
	{ 0xc49aac97, "__dev_get_by_index" },
	{ 0xaae0d8e9, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3a88aadb, "sk_skb_reason_drop" },
	{ 0xb43f1397, "dev_remove_pack" },
	{ 0x7eacc4ab, "dev_get_by_index" },
	{ 0x908cfb12, "sk_free" },
	{ 0xfa9e3aa9, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x22435e27, "skb_push" },
	{ 0xe29749e6, "sock_no_listen" },
	{ 0x8d304f20, "nla_put" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x2846d10e, "__rtnl_register_many" },
	{ 0x5a22484a, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbe222b71, "skb_copy_datagram_iter" },
	{ 0x7f22a489, "sk_alloc" },
	{ 0x6bc1be57, "unregister_pernet_subsys" },
	{ 0x5d39ebe7, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ace2049, "sock_no_mmap" },
	{ 0xaa60b0a5, "__pskb_pull_tail" },
	{ 0x939ff840, "netif_rx" },
	{ 0x18bcce11, "sock_common_recvmsg" },
	{ 0x42d1be4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x74847097, "sk_common_release" },
	{ 0xaf9ceea5, "seq_pad" },
	{ 0x3d99eb22, "sock_i_ino" },
	{ 0x9b60f0e0, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xab507d6d, "skb_recv_datagram" },
	{ 0x30fd992e, "sock_alloc_send_pskb" },
	{ 0xc6fdbda, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x26deb8aa, "remove_proc_entry" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0x8c01372d, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xec0d1f0c, "seq_printf" },
	{ 0x20e7895f, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x88f6cc4e, "_copy_from_iter" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xde492c93, "from_kuid_munged" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xd7c8d53d, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x54c327fe, "sock_init_data" },
	{ 0x2e99fc3c, "sk_ioctl" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x89ff91f1, "release_sock" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xf789d125, "security_sock_graft" },
	{ 0xfbc03e96, "skb_free_datagram" },
	{ 0xf2e7e05e, "sock_queue_rcv_skb_reason" },
	{ 0x8521d398, "try_module_get" },
	{ 0xf4f3086c, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4ce78963, "__nlmsg_put" },
	{ 0xf29e4fc8, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x594b88c, "consume_skb" },
	{ 0x1c90479, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x487b791d, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xffe62f3d, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x326f3cbd, "sock_no_connect" },
	{ 0xa9fc3d88, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x94cb6d13, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe261c261, "pskb_expand_head" },
	{ 0xb09d5885, "register_pernet_subsys" },
	{ 0xccfd7f9a, "skb_queue_purge_reason" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E4924F66FE3C12BF0274286");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
