#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_DATA(sound_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_DATA(snd_mixer_oss_notify_callback, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_dma_program, "", "");
KSYMTAB_FUNC(snd_dma_disable, "", "");
KSYMTAB_FUNC(snd_dma_pointer, "", "");
KSYMTAB_FUNC(snd_devm_request_dma, "_gpl", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(_snd_ctl_add_follower, "", "");
KSYMTAB_FUNC(snd_ctl_add_followers, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_make_virtual_master, "", "");
KSYMTAB_FUNC(snd_ctl_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_sync_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_apply_vmaster_followers, "_gpl", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(sound_debugfs_root, 0xac851eb7, "_gpl");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x4ea02fcd, "");
SYMBOL_CRC(snd_unregister_device, 0xcd79a30b, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0x1ce9acbc, "");
SYMBOL_CRC(snd_device_alloc, 0x9e1dccdf, "_gpl");
SYMBOL_CRC(snd_card_new, 0xbcc15dcc, "");
SYMBOL_CRC(snd_devm_card_new, 0x6b4dc653, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0x030707a4, "_gpl");
SYMBOL_CRC(snd_card_ref, 0x2f6473b8, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x3a489532, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x8500ffb9, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x3fc5e850, "");
SYMBOL_CRC(snd_card_free, 0xc3722c0d, "");
SYMBOL_CRC(snd_card_set_id, 0x28da9c7a, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0x1e302076, "_gpl");
SYMBOL_CRC(snd_card_register, 0x2a899c3e, "");
SYMBOL_CRC(snd_component_add, 0xa4021ac0, "");
SYMBOL_CRC(snd_card_file_add, 0xbfbcb261, "");
SYMBOL_CRC(snd_card_file_remove, 0xc2b6d502, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0xe337ba4d, "_gpl");
SYMBOL_CRC(snd_power_wait, 0x4f64e345, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0x4e0ec084, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0xd7f5e1fb, "");
SYMBOL_CRC(snd_ctl_notify, 0x67b25023, "");
SYMBOL_CRC(snd_ctl_notify_one, 0x697e31f5, "");
SYMBOL_CRC(snd_ctl_new1, 0xa6d6d27e, "");
SYMBOL_CRC(snd_ctl_free_one, 0x9bb5d536, "");
SYMBOL_CRC(snd_ctl_add, 0xbfadfe9c, "");
SYMBOL_CRC(snd_ctl_replace, 0x1960d614, "");
SYMBOL_CRC(snd_ctl_remove, 0x432d8cc2, "");
SYMBOL_CRC(snd_ctl_remove_id, 0x2c45812d, "");
SYMBOL_CRC(snd_ctl_activate_id, 0x5a9b7b4a, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x3fe490b4, "");
SYMBOL_CRC(snd_ctl_rename, 0x30dbbe20, "");
SYMBOL_CRC(snd_ctl_find_numid, 0xc701bd92, "");
SYMBOL_CRC(snd_ctl_find_id, 0x41c8ad9d, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0x98cc063e, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0xd432b7dd, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0x65bb04fb, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0x3821545f, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0x311d1df1, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0xf375b812, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0x76e9a1c1, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0x4bb7b020, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0xa0c652b7, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0xf88df7fa, "");
SYMBOL_CRC(snd_fasync_helper, 0xc2425bb4, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0x319dcfda, "");
SYMBOL_CRC(snd_device_disconnect, 0xacb4477e, "_gpl");
SYMBOL_CRC(snd_device_free, 0x385c5afb, "");
SYMBOL_CRC(snd_device_register, 0x33e3ec49, "");
SYMBOL_CRC(snd_device_get_state, 0x6af09a5e, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x7f52386a, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0x2fd26b57, "");
SYMBOL_CRC(snd_info_create_card_entry, 0x28934e20, "");
SYMBOL_CRC(snd_info_free_entry, 0x097eee18, "");
SYMBOL_CRC(snd_info_register, 0x8e743376, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0x21b32770, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0xe483b88d, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0xe3bc8914, "");
SYMBOL_CRC(snd_unregister_oss_device, 0xe0752ff5, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0x6adfa916, "");
SYMBOL_CRC(snd_ctl_add_followers, 0xac323038, "_gpl");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0x05829041, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0x1e5b2983, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0x98b5a973, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0xd05179c9, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0x2a22c717, "");
SYMBOL_CRC(snd_jack_new, 0xfadf281a, "");
SYMBOL_CRC(snd_jack_set_parent, 0x1f0073f7, "");
SYMBOL_CRC(snd_jack_set_key, 0x6cdef8d4, "");
SYMBOL_CRC(snd_jack_report, 0x0ec6a17e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xd12e2547, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf26994e8, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x5b034cda, "device_add" },
	{ 0x9c6eb334, "init_uts_ns" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x80b7235c, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4f877194, "input_set_capability" },
	{ 0xf118073f, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4cdd432c, "__devres_alloc_node" },
	{ 0x175e33fb, "dma_spin_lock" },
	{ 0xd9a276f9, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x7af165ab, "device_del" },
	{ 0xfbf54501, "proc_mkdir" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x82ce50f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x374d2d14, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcd9e5fee, "input_event" },
	{ 0xfc96cb16, "proc_remove" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xab71e8b6, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x65691156, "proc_set_size" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf8f05ef6, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x7e5149d6, "kobject_set_name" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec0d1f0c, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x88f6cc4e, "_copy_from_iter" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc9aa8842, "stream_open" },
	{ 0x38e340b5, "single_release" },
	{ 0x8c36264a, "pid_vnr" },
	{ 0x8fe0732e, "devres_find" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa4625032, "__devm_add_action" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xcea25868, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0x754d539c, "strlen" },
	{ 0xd89d81ad, "proc_symlink" },
	{ 0x15ad61cd, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb96f67aa, "single_open" },
	{ 0xbf2b13ac, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x234bc37c, "put_pid" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xcc4954cf, "input_allocate_device" },
	{ 0x8521d398, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xf9de1bfc, "_copy_to_iter" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb6397aad, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe6609963, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0xd5b51f3f, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xd27d5065, "device_initialize" },
	{ 0x4abe5e45, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x18f02817, "input_unregister_device" },
	{ 0xe7257ab8, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcad72141, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x29d32cab, "proc_create_data" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xacd69ede, "devm_remove_action" },
	{ 0x2c338a39, "import_ubuf" },
	{ 0xe419c8fc, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2ebce905, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7f5dd341, "devres_add" },
	{ 0xa433c5ee, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x46b452a3, "dev_driver_string" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8a7a0db8, "input_free_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xe2eb3153, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1c8bbb56, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x90c2148a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa8a6377f, "register_sound_special_device" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "9C157CDD3F8ED0FF7FDE456");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
