#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format_bits, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spdif_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0xad4f2c46, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0x359af68e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x6ce061b0, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0x9a8a93d2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0xeeff87e8, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0xda7dc913, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0x7db9d20e, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x129cb3f7, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x9cfdcea1, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x193ba18b, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x9132badb, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0xb58086cb, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0xe36b82f4, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x5dc9da1a, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x72e7ddb3, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0x057708bd, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0xe488134f, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x44ce9869, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x116d3d36, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x5596f1eb, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0xf71d1ee3, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0xd31581e6, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0xcfc465fe, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0x310db9d6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format_bits, 0xdfb2511b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format, 0xdcb61650, "_gpl");
SYMBOL_CRC(snd_hdac_spdif_stream_format, 0xbfc95c33, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x86c4cde7, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0x572e2509, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x11b68cd7, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0xc58ab3f6, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x45816192, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0x8c64c4e8, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x3cf18eef, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x46d30e7f, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0xebf5f81a, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x668cf307, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0x62871760, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x890d92f1, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x473753c4, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x571e3b67, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x45de0ec6, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0xcceb3dbd, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0xa7024994, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0xed84ed83, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0xb9b8a54b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0x1df8ba8b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0xee385d4f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0x2e2aab99, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0xbee8e6e1, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0xbc5ef79b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x466b5fee, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x02c4f2fb, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0xdbfc1f57, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x6130a0e8, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x3d32e207, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x13a6e3c8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0xcd9ec340, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x936e7891, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0x25ac428a, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0x643fe419, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0x38bfba86, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0x4c216759, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0x39fa4945, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x8cbb335c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x59aded84, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x59693977, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x68ed5d3e, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x1874e9f6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0xe6f8fe45, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x1c86eff0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0xbcb571cd, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x0504d5cb, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0xa6039a5d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x40b4129b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0xdeec08ff, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0x83385291, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0xec41bdca, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0xff0f077a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0xe8d5cc97, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x3e970254, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0x4474f09b, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0xb7b13f95, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0x04468d3e, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0xcfe8e1a9, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x7664a8b8, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x4e24d53e, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x22eb6200, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x889543d8, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x17f2f081, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x2332c103, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0xd3014c5f, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x7026db43, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0x870849a1, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0xe1918b78, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x5d92288b, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x8d710fd3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd456fe6f, "snd_sgbuf_get_addr" },
	{ 0x2ebce905, "__dynamic_dev_dbg" },
	{ 0xc6b770f2, "snd_sgbuf_get_chunk_size" },
	{ 0x7f5dd341, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4f10b01b, "trace_event_buffer_commit" },
	{ 0x7335782b, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x79237c2f, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1c8bbb56, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x87094057, "_dev_info" },
	{ 0xd12e2547, "module_put" },
	{ 0xe14aa64c, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xaa898f90, "perf_trace_run_bpf_submit" },
	{ 0xb7b9948f, "bus_unregister" },
	{ 0xf26994e8, "_dev_err" },
	{ 0xcce6daea, "kobject_add" },
	{ 0x5b034cda, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4cdd432c, "__devres_alloc_node" },
	{ 0xa5025594, "trace_event_reg" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xeb3b4bb, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe5bc032d, "__regmap_init" },
	{ 0x7af165ab, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x82ce50f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa25fe6ee, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5381b399, "sysfs_remove_group" },
	{ 0x7126922c, "bpf_trace_run3" },
	{ 0xf85929f6, "component_master_del" },
	{ 0x14599e59, "regmap_read" },
	{ 0xf0b2406b, "trace_event_buffer_reserve" },
	{ 0xef3d3d4b, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x242659c1, "component_bind_all" },
	{ 0xe10bf44f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe385f704, "snd_pcm_hw_params_bits" },
	{ 0x47aeea16, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x17eb3782, "pci_match_id" },
	{ 0x8fe0732e, "devres_find" },
	{ 0x552fca48, "regmap_update_bits_base" },
	{ 0x29592bc7, "dev_err_probe" },
	{ 0x44757cd9, "__pm_runtime_suspend" },
	{ 0x8b87169e, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x15ad61cd, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe654c42c, "component_unbind_all" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x626db97b, "pci_bus_type" },
	{ 0x416af503, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x753d5f09, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4818b0e1, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8521d398, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xe8f4ecba, "regcache_sync" },
	{ 0xc83baf92, "regmap_write" },
	{ 0x35498155, "snd_dma_alloc_dir_pages" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xb6397aad, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x808ae875, "component_master_add_with_match" },
	{ 0x6a069c0e, "trace_raw_output_prep" },
	{ 0x44efb32d, "snd_pcm_add_chmap_ctls" },
	{ 0xbe9d5e8c, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc3e667c3, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x275fd72c, "pci_get_device" },
	{ 0xda287eb0, "trace_event_printf" },
	{ 0xfe26f6b1, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xa5834fa6, "pm_runtime_get_if_active" },
	{ 0x5ca5ac34, "kobject_init" },
	{ 0xd27d5065, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xf8caf98c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0x3562a575, "regcache_reg_cached" },
	{ 0xcda162e4, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8fc2563a, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "5DB94B74966C5289F2EAEBD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
