#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l45_probe, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_remove, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_pm_ops, "_gpl", "");
KSYMTAB_FUNC(cs35l45_apply_patch, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_i2c_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_spi_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_get_clk_freq_id, "_gpl", "SND_SOC_CS35L45");

SYMBOL_CRC(cs35l45_probe, 0x20dd4140, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0x8ae717c3, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0xb1e1889d, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0x7086fc29, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0x604d6ce3, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0x2375adaf, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0xb3b217a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7b2ba95, "devm_regulator_get" },
	{ 0x37b9ae3a, "snd_soc_component_disable_pin_unlocked" },
	{ 0x87094057, "_dev_info" },
	{ 0x1a2267a4, "snd_soc_info_volsw" },
	{ 0xf26994e8, "_dev_err" },
	{ 0xa46e88b, "wm_adsp_event" },
	{ 0xc80d3e51, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x67b25023, "snd_ctl_notify" },
	{ 0xd00bd8f9, "wm_adsp_fw_enum" },
	{ 0x82ce50f, "_dev_warn" },
	{ 0x1d30dc43, "wm_adsp2_component_probe" },
	{ 0x4dac752a, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x284b5bc3, "wm_adsp2_preloader_get" },
	{ 0x21431eb2, "snd_soc_info_enum_double" },
	{ 0x42fabad5, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc1ae2ddb, "devm_regmap_add_irq_chip" },
	{ 0xd6a5422a, "snd_soc_get_volsw" },
	{ 0x14599e59, "regmap_read" },
	{ 0xbb407590, "snd_soc_put_volsw" },
	{ 0x6c7110df, "wm_adsp_fw_get" },
	{ 0xef3d3d4b, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x62a401fd, "snd_soc_component_enable_pin_unlocked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5acea9a9, "regmap_bulk_read" },
	{ 0x552fca48, "regmap_update_bits_base" },
	{ 0x2017f219, "regulator_disable" },
	{ 0x29592bc7, "dev_err_probe" },
	{ 0x612ac39a, "regmap_multi_reg_write" },
	{ 0x350ce574, "snd_soc_dapm_get_volsw" },
	{ 0x44757cd9, "__pm_runtime_suspend" },
	{ 0x90894d94, "regmap_register_patch" },
	{ 0x64122e80, "snd_soc_dapm_get_enum_double" },
	{ 0x7ab7f5d4, "__pm_runtime_use_autosuspend" },
	{ 0xff38e49b, "wm_halo_init" },
	{ 0x3c65fcf9, "wm_adsp_early_event" },
	{ 0x2fb6e7ad, "__pm_runtime_disable" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc8f673ab, "snd_soc_dapm_put_enum_double" },
	{ 0x9963e36, "wm_adsp_fw_put" },
	{ 0x5b96cb98, "regulator_enable" },
	{ 0x4280c290, "regcache_cache_only" },
	{ 0xe8f4ecba, "regcache_sync" },
	{ 0xc83baf92, "regmap_write" },
	{ 0x43328a40, "devm_request_threaded_irq" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x931a425f, "snd_soc_component_get_kcontrol" },
	{ 0x210f64d6, "pm_runtime_set_autosuspend_delay" },
	{ 0x601b9b9b, "gpiod_set_value_cansleep" },
	{ 0xe6849b42, "wm_adsp2_remove" },
	{ 0x37b5076a, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9e3a9c3a, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7e177d49, "devm_gpiod_get_optional" },
	{ 0x2ebce905, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x79237c2f, "__pm_runtime_set_status" },
	{ 0xba15bf16, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8c94cdb7, "pm_runtime_enable" },
	{ 0xd5ebff00, "device_property_read_u32_array" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd,snd-pcm");


MODULE_INFO(srcversion, "339289D9249B51897B33DCC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
