#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0xda4def50, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0xe51ce8a9, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0xd6d7c8e3, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0xc227021a, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x6eaf0bab, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0xd68ffc3d, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x5076ee35, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x70df6bcf, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x6f0b5388, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x4163e321, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0x8c3e521c, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0xa5b49bb0, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x6fab6208, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0xc7225ff6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5e4650b4, "snd_soc_jack_report" },
	{ 0x601b9b9b, "gpiod_set_value_cansleep" },
	{ 0x753ed5e7, "snd_pcm_hw_constraint_minmax" },
	{ 0x25bc9b64, "regcache_sync_region" },
	{ 0x2b82629, "snd_soc_put_enum_double" },
	{ 0x9e3a9c3a, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7e177d49, "devm_gpiod_get_optional" },
	{ 0x2ebce905, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xba15bf16, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd1b3cacc, "regulator_bulk_disable" },
	{ 0xd5ebff00, "device_property_read_u32_array" },
	{ 0xb469bd5, "snd_soc_get_enum_double" },
	{ 0x87094057, "_dev_info" },
	{ 0x1a2267a4, "snd_soc_info_volsw" },
	{ 0x43403e60, "regcache_drop_region" },
	{ 0xf26994e8, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x82ce50f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x21431eb2, "snd_soc_info_enum_double" },
	{ 0x56c8a582, "regulator_bulk_enable" },
	{ 0x5118c3cc, "devm_regulator_bulk_get" },
	{ 0xd6a5422a, "snd_soc_get_volsw" },
	{ 0x14599e59, "regmap_read" },
	{ 0xbb407590, "snd_soc_put_volsw" },
	{ 0x7a77ad6, "snd_soc_component_update_bits" },
	{ 0xef3d3d4b, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5acea9a9, "regmap_bulk_read" },
	{ 0x552fca48, "regmap_update_bits_base" },
	{ 0x29592bc7, "dev_err_probe" },
	{ 0x612ac39a, "regmap_multi_reg_write" },
	{ 0x44757cd9, "__pm_runtime_suspend" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8f353dfe, "device_property_present" },
	{ 0x4280c290, "regcache_cache_only" },
	{ 0xe8f4ecba, "regcache_sync" },
	{ 0xc83baf92, "regmap_write" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "03C925C7DEB10ECF436DE21");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
