#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0x614d2a0f, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0x8e3550d9, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0x30b7992a, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0xe9066a4a, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0xb01561dc, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0xb4af8b54, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x79ca4aab, "snd_soc_component_write" },
	{ 0xba15bf16, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x1f59e2a8, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd5ebff00, "device_property_read_u32_array" },
	{ 0xb469bd5, "snd_soc_get_enum_double" },
	{ 0x1f0ed14e, "i2c_register_driver" },
	{ 0x1a2267a4, "snd_soc_info_volsw" },
	{ 0xf26994e8, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc80d3e51, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2c2d0b1d, "snd_soc_dapm_force_bias_level" },
	{ 0x2dd3cf82, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xe7104b71, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x82ce50f, "_dev_warn" },
	{ 0x7478081e, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x21431eb2, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x117acf8a, "devm_clk_get_optional" },
	{ 0xd6a5422a, "snd_soc_get_volsw" },
	{ 0x14599e59, "regmap_read" },
	{ 0xbb407590, "snd_soc_put_volsw" },
	{ 0x7a77ad6, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe6d3f53a, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x552fca48, "regmap_update_bits_base" },
	{ 0x350ce574, "snd_soc_dapm_get_volsw" },
	{ 0xa4625032, "__devm_add_action" },
	{ 0xe388ebfe, "i2c_del_driver" },
	{ 0x90894d94, "regmap_register_patch" },
	{ 0x64122e80, "snd_soc_dapm_get_enum_double" },
	{ 0x939ff0c2, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xc8f673ab, "snd_soc_dapm_put_enum_double" },
	{ 0xea80c6ff, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8f353dfe, "device_property_present" },
	{ 0x4280c290, "regcache_cache_only" },
	{ 0xe8f4ecba, "regcache_sync" },
	{ 0xc83baf92, "regmap_write" },
	{ 0xc2a55c42, "devm_kmalloc" },
	{ 0x5e4650b4, "snd_soc_jack_report" },
	{ 0x45f31fcd, "snd_soc_component_read" },
	{ 0x601b9b9b, "gpiod_set_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x6f3cd366, "gpiod_to_irq" },
	{ 0x37b5076a, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x2b82629, "snd_soc_put_enum_double" },
	{ 0x9e3a9c3a, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfaded7, "gpiod_get_value" },
	{ 0x7e177d49, "devm_gpiod_get_optional" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x32411838, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0x2ebce905, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x49ed949f, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "8DA52D21774CE3081E6DC3B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
